GNU bug report logs - #43269
28.0.50; [feature/native-comp] provide a user feedback on Emacs being native compiled

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Andrea Corallo <akrl@HIDDEN>; dated Tue, 8 Sep 2020 08:04:01 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 43269 <at> debbugs.gnu.org:


Received: (at 43269) by debbugs.gnu.org; 17 Oct 2020 11:17:48 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Oct 17 07:17:48 2020
Received: from localhost ([127.0.0.1]:33589 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kTkDc-0002jg-5e
	for submit <at> debbugs.gnu.org; Sat, 17 Oct 2020 07:17:48 -0400
Received: from eggs.gnu.org ([209.51.188.92]:33820)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1kTkDZ-0002jS-Jk
 for 43269 <at> debbugs.gnu.org; Sat, 17 Oct 2020 07:17:46 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:53906)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1kTkDU-00027p-8y; Sat, 17 Oct 2020 07:17:40 -0400
Received: from [176.228.60.248] (port=2551 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1kTkDS-0002oP-2o; Sat, 17 Oct 2020 07:17:39 -0400
Date: Sat, 17 Oct 2020 14:17:40 +0300
Message-Id: <83d01ht82z.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Andrea Corallo <akrl@HIDDEN>
In-Reply-To: <xjfwnzpkv2p.fsf@HIDDEN> (message from Andrea Corallo on Sat, 17
 Oct 2020 10:25:50 +0000)
Subject: Re: bug#43269: 28.0.50; [feature/native-comp] provide a user
 feedback on Emacs being native compiled
References: <VI1PR06MB4526511188299A6D4136193596280@HIDDEN>
 <xjfy2llqzcf.fsf@HIDDEN> <83tuw9mmfe.fsf@HIDDEN>
 <xjftuw9qtjy.fsf@HIDDEN> <83sgbtm2d3.fsf@HIDDEN>
 <VI1PR06MB4526C8E3283388EBB1A78AA896290@HIDDEN>
 <062E9DA2-B039-4AAD-802B-7333971F5B73@HIDDEN>
 <xjfk0x4r8zp.fsf_-_@HIDDEN> <83ft7smjcd.fsf@HIDDEN>
 <E1kFr2g-00054w-QL@HIDDEN> <83h7s7kpfr.fsf@HIDDEN>
 <xjfv9gnnfj5.fsf@HIDDEN> <83wo13j5i1.fsf@HIDDEN>
 <xjfpn6uoqpx.fsf@HIDDEN> <83tuw6kgyd.fsf@HIDDEN>
 <xjflfhiolyg.fsf@HIDDEN> <83sgbqkc32.fsf@HIDDEN>
 <xjfh7s6obye.fsf@HIDDEN> <83pn6ujoqs.fsf@HIDDEN>
 <xjfeelxmkb9.fsf@HIDDEN> <83lfg5tdzz.fsf@HIDDEN>
 <xjfwnzpkv2p.fsf@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 43269
Cc: larsi@HIDDEN, 43269 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Andrea Corallo <akrl@HIDDEN>
> Cc: 43269 <at> debbugs.gnu.org, Lars Ingebrigtsen <larsi@HIDDEN>
> Date: Sat, 17 Oct 2020 10:25:50 +0000
> 
> The summary is that ATM options on the table are:
> 
> 1- rework `emacs-version' so it adds the information there (it should
>    reflect on `about-emacs' too), this is suggested by Lars too.
> 
> 2- close the bug as non related to feature/native-comp.
> 
> 3- rework `about-emacs' in some other way (I've really no precise idea
>    how).
> 
> This list is sorted using my preference as a metric :)
> 
> I'll go for 1 unless there's no agreement on.

FWIW, I will repeat that my preference is 3.  This information doesn't
belong to the version, it belongs to the description of the build's
features, and thus to "about Emacs" (which needs to be revamped not to
show the same information as the splash screen).




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#43269; Package emacs. Full text available.

Message received at 43269 <at> debbugs.gnu.org:


Received: (at 43269) by debbugs.gnu.org; 17 Oct 2020 10:25:54 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Oct 17 06:25:54 2020
Received: from localhost ([127.0.0.1]:33440 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kTjPO-0005Vu-1B
	for submit <at> debbugs.gnu.org; Sat, 17 Oct 2020 06:25:54 -0400
Received: from mab.sdf.org ([205.166.94.33]:41986 helo=ma.sdf.org)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <akrl@HIDDEN>) id 1kTjPL-0005Vl-Pi
 for 43269 <at> debbugs.gnu.org; Sat, 17 Oct 2020 06:25:52 -0400
Received: from akrl by ma.sdf.org with local (Exim 4.92)
 (envelope-from <akrl@HIDDEN>)
 id 1kTjPK-0007JD-1j; Sat, 17 Oct 2020 10:25:50 +0000
From: Andrea Corallo <akrl@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#43269: 28.0.50; [feature/native-comp] provide a user
 feedback on Emacs being native compiled
References: <VI1PR06MB4526511188299A6D4136193596280@HIDDEN>
 <xjfy2llqzcf.fsf@HIDDEN> <83tuw9mmfe.fsf@HIDDEN>
 <xjftuw9qtjy.fsf@HIDDEN> <83sgbtm2d3.fsf@HIDDEN>
 <VI1PR06MB4526C8E3283388EBB1A78AA896290@HIDDEN>
 <062E9DA2-B039-4AAD-802B-7333971F5B73@HIDDEN>
 <xjfk0x4r8zp.fsf_-_@HIDDEN> <83ft7smjcd.fsf@HIDDEN>
 <E1kFr2g-00054w-QL@HIDDEN> <83h7s7kpfr.fsf@HIDDEN>
 <xjfv9gnnfj5.fsf@HIDDEN> <83wo13j5i1.fsf@HIDDEN>
 <xjfpn6uoqpx.fsf@HIDDEN> <83tuw6kgyd.fsf@HIDDEN>
 <xjflfhiolyg.fsf@HIDDEN> <83sgbqkc32.fsf@HIDDEN>
 <xjfh7s6obye.fsf@HIDDEN> <83pn6ujoqs.fsf@HIDDEN>
 <xjfeelxmkb9.fsf@HIDDEN> <83lfg5tdzz.fsf@HIDDEN>
Date: Sat, 17 Oct 2020 10:25:50 +0000
In-Reply-To: <83lfg5tdzz.fsf@HIDDEN> (Eli Zaretskii's message of "Sat, 17 Oct
 2020 12:09:52 +0300")
Message-ID: <xjfwnzpkv2p.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 43269
Cc: Lars Ingebrigtsen <larsi@HIDDEN>, 43269 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Eli Zaretskii <eliz@HIDDEN> writes:

>> From: Andrea Corallo <akrl@HIDDEN>
>> Cc: 43269 <at> debbugs.gnu.org
>> Date: Sat, 17 Oct 2020 06:35:22 +0000
>> 
>> Reviewing this bug; IIRC the suggestion that came-up on another thread
>> on the subject of this bug was to rework `about-emacs' so it could host
>> additional information, is this correct?
>
> Yes, AFAIU.

The summary is that ATM options on the table are:

1- rework `emacs-version' so it adds the information there (it should
   reflect on `about-emacs' too), this is suggested by Lars too.

2- close the bug as non related to feature/native-comp.

3- rework `about-emacs' in some other way (I've really no precise idea
   how).

This list is sorted using my preference as a metric :)

I'll go for 1 unless there's no agreement on.

  Andrea




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#43269; Package emacs. Full text available.

Message received at 43269 <at> debbugs.gnu.org:


Received: (at 43269) by debbugs.gnu.org; 17 Oct 2020 09:09:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Oct 17 05:09:58 2020
Received: from localhost ([127.0.0.1]:33311 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kTiDu-0005bL-31
	for submit <at> debbugs.gnu.org; Sat, 17 Oct 2020 05:09:58 -0400
Received: from eggs.gnu.org ([209.51.188.92]:46416)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1kTiDs-0005b9-Oo
 for 43269 <at> debbugs.gnu.org; Sat, 17 Oct 2020 05:09:57 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:53010)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1kTiDn-0004kG-AE; Sat, 17 Oct 2020 05:09:51 -0400
Received: from [176.228.60.248] (port=2735 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1kTiDm-00087D-Px; Sat, 17 Oct 2020 05:09:51 -0400
Date: Sat, 17 Oct 2020 12:09:52 +0300
Message-Id: <83lfg5tdzz.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Andrea Corallo <akrl@HIDDEN>
In-Reply-To: <xjfeelxmkb9.fsf@HIDDEN> (message from Andrea Corallo on Sat, 17
 Oct 2020 06:35:22 +0000)
Subject: Re: bug#43269: 28.0.50; [feature/native-comp] provide a user
 feedback on Emacs being native compiled
References: <VI1PR06MB4526511188299A6D4136193596280@HIDDEN>
 <xjf7dt5sfzt.fsf@HIDDEN> <83wo15msrj.fsf@HIDDEN>
 <xjfy2llqzcf.fsf@HIDDEN> <83tuw9mmfe.fsf@HIDDEN>
 <xjftuw9qtjy.fsf@HIDDEN> <83sgbtm2d3.fsf@HIDDEN>
 <VI1PR06MB4526C8E3283388EBB1A78AA896290@HIDDEN>
 <062E9DA2-B039-4AAD-802B-7333971F5B73@HIDDEN>
 <xjfk0x4r8zp.fsf_-_@HIDDEN> <83ft7smjcd.fsf@HIDDEN>
 <E1kFr2g-00054w-QL@HIDDEN> <83h7s7kpfr.fsf@HIDDEN>
 <xjfv9gnnfj5.fsf@HIDDEN> <83wo13j5i1.fsf@HIDDEN>
 <xjfpn6uoqpx.fsf@HIDDEN> <83tuw6kgyd.fsf@HIDDEN>
 <xjflfhiolyg.fsf@HIDDEN> <83sgbqkc32.fsf@HIDDEN>
 <xjfh7s6obye.fsf@HIDDEN> <83pn6ujoqs.fsf@HIDDEN>
 <xjfeelxmkb9.fsf@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 43269
Cc: 43269 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Andrea Corallo <akrl@HIDDEN>
> Cc: 43269 <at> debbugs.gnu.org
> Date: Sat, 17 Oct 2020 06:35:22 +0000
> 
> Reviewing this bug; IIRC the suggestion that came-up on another thread
> on the subject of this bug was to rework `about-emacs' so it could host
> additional information, is this correct?

Yes, AFAIU.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#43269; Package emacs. Full text available.

Message received at 43269 <at> debbugs.gnu.org:


Received: (at 43269) by debbugs.gnu.org; 17 Oct 2020 08:27:02 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Oct 17 04:27:02 2020
Received: from localhost ([127.0.0.1]:33250 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kThYM-0002Pq-Hw
	for submit <at> debbugs.gnu.org; Sat, 17 Oct 2020 04:27:02 -0400
Received: from mab.sdf.org ([205.166.94.33]:48332 helo=ma.sdf.org)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <akrl@HIDDEN>) id 1kThYL-0002PM-5V
 for 43269 <at> debbugs.gnu.org; Sat, 17 Oct 2020 04:27:01 -0400
Received: from akrl by ma.sdf.org with local (Exim 4.92)
 (envelope-from <akrl@HIDDEN>)
 id 1kThYG-0005jc-MR; Sat, 17 Oct 2020 08:26:56 +0000
From: Andrea Corallo <akrl@HIDDEN>
To: Andrea Corallo via "Bug reports for GNU Emacs, the Swiss army knife of
 text editors" <bug-gnu-emacs@HIDDEN>
Subject: Re: bug#43269: 28.0.50; [feature/native-comp] provide a user
 feedback on Emacs being native compiled
References: <VI1PR06MB4526511188299A6D4136193596280@HIDDEN>
 <83sgbtm2d3.fsf@HIDDEN>
 <VI1PR06MB4526C8E3283388EBB1A78AA896290@HIDDEN>
 <062E9DA2-B039-4AAD-802B-7333971F5B73@HIDDEN>
 <xjfk0x4r8zp.fsf_-_@HIDDEN> <83ft7smjcd.fsf@HIDDEN>
 <E1kFr2g-00054w-QL@HIDDEN> <83h7s7kpfr.fsf@HIDDEN>
 <xjfv9gnnfj5.fsf@HIDDEN> <83wo13j5i1.fsf@HIDDEN>
 <xjfpn6uoqpx.fsf@HIDDEN> <83tuw6kgyd.fsf@HIDDEN>
 <xjflfhiolyg.fsf@HIDDEN> <83sgbqkc32.fsf@HIDDEN>
 <xjfh7s6obye.fsf@HIDDEN> <83pn6ujoqs.fsf@HIDDEN>
 <xjfeelxmkb9.fsf@HIDDEN> <871rhxxqcd.fsf@HIDDEN>
 <xjfa6wlmgyf.fsf@HIDDEN> <87imb9wacf.fsf@HIDDEN>
 <xjf5z79mfj0.fsf@HIDDEN>
Date: Sat, 17 Oct 2020 08:26:56 +0000
In-Reply-To: <xjf5z79mfj0.fsf@HIDDEN> (Andrea Corallo via's message of "Sat, 
 17 Oct 2020 08:18:43 +0000")
Message-ID: <xjf1rhxmf5b.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 43269
Cc: Lars Ingebrigtsen <larsi@HIDDEN>, Eli Zaretskii <eliz@HIDDEN>,
 43269 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Andrea Corallo via "Bug reports for GNU Emacs, the Swiss army knife of
text editors" <bug-gnu-emacs@HIDDEN> writes:

> Lars Ingebrigtsen <larsi@HIDDEN> writes:
>
>> Andrea Corallo <akrl@HIDDEN> writes:
>>
>>> That said honestly I've not much idea on how to rework `about-emacs' and
>>> my understanding was that this is a general suggestion not strictly
>>> native-comp related.  If that's the case I'd be for closing this bug as
>>> I think is out of scope for the feature branch, or if I'm wrong here and
>>> there's some suggestion I'm happy to put some effort into as well :)
>>
>> The line that says
>>
>> GNU Emacs 28.0.50 (build 85, x86_64-pc-linux-gnu, GTK+ Version 3.24.23, cairo version 1.16.0)
>>  of 2020-10-17
>>
>> (which should perhaps be folded better) could have a ", natively
>> compiled" in there somewhere.
>>
>> I think nativecomp is a big enough thing to be called out here -- at
>> least for a couple of Emacs versions.
>
> This was my original proposition but IIRC Eli had a different idea on
> that.
>
> Unfortunatelly I think the discussion happend on a different thread and
> I cannot find it ATM so I may be wrong.

I've found the original discussion, I link it here for completeness

<https://lists.gnu.org/archive/html/bug-gnu-emacs/2020-09/msg00690.html>

Sorry for this threads being a little messy :/

  Andrea




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#43269; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 17 Oct 2020 08:27:06 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Oct 17 04:27:06 2020
Received: from localhost ([127.0.0.1]:33252 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kThYP-0002Q1-Qc
	for submit <at> debbugs.gnu.org; Sat, 17 Oct 2020 04:27:06 -0400
Received: from lists.gnu.org ([209.51.188.17]:39064)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <akrl@HIDDEN>) id 1kThYL-0002Pa-OE
 for submit <at> debbugs.gnu.org; Sat, 17 Oct 2020 04:27:02 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:46882)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <akrl@HIDDEN>) id 1kThYL-0008L3-ID
 for bug-gnu-emacs@HIDDEN; Sat, 17 Oct 2020 04:27:01 -0400
Received: from mab.sdf.org ([205.166.94.33]:40428 helo=ma.sdf.org)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <akrl@HIDDEN>)
 id 1kThYI-0004jO-Ca; Sat, 17 Oct 2020 04:27:00 -0400
Received: from akrl by ma.sdf.org with local (Exim 4.92)
 (envelope-from <akrl@HIDDEN>)
 id 1kThYG-0005jc-MR; Sat, 17 Oct 2020 08:26:56 +0000
From: Andrea Corallo <akrl@HIDDEN>
To: Andrea Corallo via "Bug reports for GNU Emacs, the Swiss army knife of
 text editors" <bug-gnu-emacs@HIDDEN>
Subject: Re: bug#43269: 28.0.50; [feature/native-comp] provide a user
 feedback on Emacs being native compiled
References: <VI1PR06MB4526511188299A6D4136193596280@HIDDEN>
 <83sgbtm2d3.fsf@HIDDEN>
 <VI1PR06MB4526C8E3283388EBB1A78AA896290@HIDDEN>
 <062E9DA2-B039-4AAD-802B-7333971F5B73@HIDDEN>
 <xjfk0x4r8zp.fsf_-_@HIDDEN> <83ft7smjcd.fsf@HIDDEN>
 <E1kFr2g-00054w-QL@HIDDEN> <83h7s7kpfr.fsf@HIDDEN>
 <xjfv9gnnfj5.fsf@HIDDEN> <83wo13j5i1.fsf@HIDDEN>
 <xjfpn6uoqpx.fsf@HIDDEN> <83tuw6kgyd.fsf@HIDDEN>
 <xjflfhiolyg.fsf@HIDDEN> <83sgbqkc32.fsf@HIDDEN>
 <xjfh7s6obye.fsf@HIDDEN> <83pn6ujoqs.fsf@HIDDEN>
 <xjfeelxmkb9.fsf@HIDDEN> <871rhxxqcd.fsf@HIDDEN>
 <xjfa6wlmgyf.fsf@HIDDEN> <87imb9wacf.fsf@HIDDEN>
 <xjf5z79mfj0.fsf@HIDDEN>
Date: Sat, 17 Oct 2020 08:26:56 +0000
In-Reply-To: <xjf5z79mfj0.fsf@HIDDEN> (Andrea Corallo via's message of "Sat, 
 17 Oct 2020 08:18:43 +0000")
Message-ID: <xjf1rhxmf5b.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
Received-SPF: pass client-ip=205.166.94.33; envelope-from=akrl@HIDDEN;
 helo=ma.sdf.org
X-detected-operating-system: by eggs.gnu.org: First seen = 2020/10/17 02:35:23
X-ACL-Warn: Detected OS   = Linux 2.2.x-3.x [generic] [fuzzy]
X-Spam_score_int: -18
X-Spam_score: -1.9
X-Spam_bar: -
X-Spam_report: (-1.9 / 5.0 requ) BAYES_00=-1.9, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.4 (-)
X-Debbugs-Envelope-To: submit
Cc: Lars Ingebrigtsen <larsi@HIDDEN>, Eli Zaretskii <eliz@HIDDEN>,
 43269 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.4 (--)

Andrea Corallo via "Bug reports for GNU Emacs, the Swiss army knife of
text editors" <bug-gnu-emacs@HIDDEN> writes:

> Lars Ingebrigtsen <larsi@HIDDEN> writes:
>
>> Andrea Corallo <akrl@HIDDEN> writes:
>>
>>> That said honestly I've not much idea on how to rework `about-emacs' and
>>> my understanding was that this is a general suggestion not strictly
>>> native-comp related.  If that's the case I'd be for closing this bug as
>>> I think is out of scope for the feature branch, or if I'm wrong here and
>>> there's some suggestion I'm happy to put some effort into as well :)
>>
>> The line that says
>>
>> GNU Emacs 28.0.50 (build 85, x86_64-pc-linux-gnu, GTK+ Version 3.24.23, cairo version 1.16.0)
>>  of 2020-10-17
>>
>> (which should perhaps be folded better) could have a ", natively
>> compiled" in there somewhere.
>>
>> I think nativecomp is a big enough thing to be called out here -- at
>> least for a couple of Emacs versions.
>
> This was my original proposition but IIRC Eli had a different idea on
> that.
>
> Unfortunatelly I think the discussion happend on a different thread and
> I cannot find it ATM so I may be wrong.

I've found the original discussion, I link it here for completeness

<https://lists.gnu.org/archive/html/bug-gnu-emacs/2020-09/msg00690.html>

Sorry for this threads being a little messy :/

  Andrea




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#43269; Package emacs. Full text available.

Message received at 43269 <at> debbugs.gnu.org:


Received: (at 43269) by debbugs.gnu.org; 17 Oct 2020 08:18:48 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Oct 17 04:18:48 2020
Received: from localhost ([127.0.0.1]:33241 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kThQO-0002D4-ED
	for submit <at> debbugs.gnu.org; Sat, 17 Oct 2020 04:18:48 -0400
Received: from mab.sdf.org ([205.166.94.33]:44940 helo=ma.sdf.org)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <akrl@HIDDEN>) id 1kThQL-0002Cu-Nt
 for 43269 <at> debbugs.gnu.org; Sat, 17 Oct 2020 04:18:47 -0400
Received: from akrl by ma.sdf.org with local (Exim 4.92)
 (envelope-from <akrl@HIDDEN>)
 id 1kThQJ-00045C-4h; Sat, 17 Oct 2020 08:18:43 +0000
From: Andrea Corallo <akrl@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#43269: 28.0.50; [feature/native-comp] provide a user
 feedback on Emacs being native compiled
References: <VI1PR06MB4526511188299A6D4136193596280@HIDDEN>
 <xjftuw9qtjy.fsf@HIDDEN> <83sgbtm2d3.fsf@HIDDEN>
 <VI1PR06MB4526C8E3283388EBB1A78AA896290@HIDDEN>
 <062E9DA2-B039-4AAD-802B-7333971F5B73@HIDDEN>
 <xjfk0x4r8zp.fsf_-_@HIDDEN> <83ft7smjcd.fsf@HIDDEN>
 <E1kFr2g-00054w-QL@HIDDEN> <83h7s7kpfr.fsf@HIDDEN>
 <xjfv9gnnfj5.fsf@HIDDEN> <83wo13j5i1.fsf@HIDDEN>
 <xjfpn6uoqpx.fsf@HIDDEN> <83tuw6kgyd.fsf@HIDDEN>
 <xjflfhiolyg.fsf@HIDDEN> <83sgbqkc32.fsf@HIDDEN>
 <xjfh7s6obye.fsf@HIDDEN> <83pn6ujoqs.fsf@HIDDEN>
 <xjfeelxmkb9.fsf@HIDDEN> <871rhxxqcd.fsf@HIDDEN>
 <xjfa6wlmgyf.fsf@HIDDEN> <87imb9wacf.fsf@HIDDEN>
Date: Sat, 17 Oct 2020 08:18:43 +0000
In-Reply-To: <87imb9wacf.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Sat,
 17 Oct 2020 10:00:32 +0200")
Message-ID: <xjf5z79mfj0.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 43269
Cc: Eli Zaretskii <eliz@HIDDEN>, 43269 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Lars Ingebrigtsen <larsi@HIDDEN> writes:

> Andrea Corallo <akrl@HIDDEN> writes:
>
>> That said honestly I've not much idea on how to rework `about-emacs' and
>> my understanding was that this is a general suggestion not strictly
>> native-comp related.  If that's the case I'd be for closing this bug as
>> I think is out of scope for the feature branch, or if I'm wrong here and
>> there's some suggestion I'm happy to put some effort into as well :)
>
> The line that says
>
> GNU Emacs 28.0.50 (build 85, x86_64-pc-linux-gnu, GTK+ Version 3.24.23, cairo version 1.16.0)
>  of 2020-10-17
>
> (which should perhaps be folded better) could have a ", natively
> compiled" in there somewhere.
>
> I think nativecomp is a big enough thing to be called out here -- at
> least for a couple of Emacs versions.

This was my original proposition but IIRC Eli had a different idea on
that.

Unfortunatelly I think the discussion happend on a different thread and
I cannot find it ATM so I may be wrong.

  Andrea




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#43269; Package emacs. Full text available.

Message received at 43269 <at> debbugs.gnu.org:


Received: (at 43269) by debbugs.gnu.org; 17 Oct 2020 08:00:46 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Oct 17 04:00:46 2020
Received: from localhost ([127.0.0.1]:33213 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kTh8w-0006fg-AX
	for submit <at> debbugs.gnu.org; Sat, 17 Oct 2020 04:00:46 -0400
Received: from quimby.gnus.org ([95.216.78.240]:36740)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1kTh8u-0006Ya-NG
 for 43269 <at> debbugs.gnu.org; Sat, 17 Oct 2020 04:00:45 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=0QknWUmGhZpmflqVbcHeTrfqi8Vs43UvxX3wmVAbtgA=; b=XOvz45XzlxSXTBayCHRGQ48Fs6
 pkNxK1+rDhgYF4k3+SPQwJGcsfWgPdvQczsFmS5bs5q1PAwmedjjZEPZSQEGyO7zwlOPF7PKosQsI
 L5NU6pVGobrTzPJh+bOfAafXTIbzLq2uqeCDjLqVUIzgSh0+1du5X3K+4XG1dILlH4wc=;
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1kTh8k-00013O-LT; Sat, 17 Oct 2020 10:00:37 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Andrea Corallo <akrl@HIDDEN>
Subject: Re: bug#43269: 28.0.50; [feature/native-comp] provide a user
 feedback on Emacs being native compiled
References: <VI1PR06MB4526511188299A6D4136193596280@HIDDEN>
 <83tuw9mmfe.fsf@HIDDEN> <xjftuw9qtjy.fsf@HIDDEN>
 <83sgbtm2d3.fsf@HIDDEN>
 <VI1PR06MB4526C8E3283388EBB1A78AA896290@HIDDEN>
 <062E9DA2-B039-4AAD-802B-7333971F5B73@HIDDEN>
 <xjfk0x4r8zp.fsf_-_@HIDDEN> <83ft7smjcd.fsf@HIDDEN>
 <E1kFr2g-00054w-QL@HIDDEN> <83h7s7kpfr.fsf@HIDDEN>
 <xjfv9gnnfj5.fsf@HIDDEN> <83wo13j5i1.fsf@HIDDEN>
 <xjfpn6uoqpx.fsf@HIDDEN> <83tuw6kgyd.fsf@HIDDEN>
 <xjflfhiolyg.fsf@HIDDEN> <83sgbqkc32.fsf@HIDDEN>
 <xjfh7s6obye.fsf@HIDDEN> <83pn6ujoqs.fsf@HIDDEN>
 <xjfeelxmkb9.fsf@HIDDEN> <871rhxxqcd.fsf@HIDDEN>
 <xjfa6wlmgyf.fsf@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAAJFBMVEU5JSFIMy42IR0o
 EhAeCgp3ZmBnU01cSENXQjyHd3Cdjof///9o0S9GAAAAAWJLR0QLH9fEwAAAAAd0SU1FB+QKEQc6
 I2GVYuEAAAFxSURBVDjLdZJLTsMwEIad5ALYCc22iXktE9sq24axukeCSl0iIF3TonZNKsENQD0A
 i94Sm7zc2B1pnMif/n8yM0EeRgj5CI39NB2rN/X4DyS4O5D7OrFBog9xDhbIQ3WwuQ0yDbIH24pp
 kK8dxTWYvThAoGpj6gb527APqrKifEbIABCVVyG/tKw8lRPKl2xolXPKbgK+IhbIlzEO83A3BJk+
 8GQU2FYqPnFpjV2NQn0Webb3gVV+FTsbTJX76pp3AAAENC1mpOpAdhb4Y1JPnTMcdqDYH+5/f2pJ
 wDDvrTblU1k1rTDSAxZ7280rrb0w7cG0/Fg87qNaknJDsfXiZV2z+X9axWh0+H7ntmJaxov52tii
 0TmYOzdBt0OfuwFrv2EIEkGcQLWduhV6jCdAdgokA9A10jcoju5ZaAIh5aBEayVANpoKjmvIBtyF
 vQKkAJDKTLPiogP6pg0Qt9wARggMbgCRBCe4i7h0ASii1uoPky7q2T4YcJEAAAAldEVYdGRhdGU6
 Y3JlYXRlADIwMjAtMTAtMTdUMDc6NTg6MzUrMDA6MDDQ4KwoAAAAJXRFWHRkYXRlOm1vZGlmeQAy
 MDIwLTEwLTE3VDA3OjU4OjM1KzAwOjAwob0UlAAAAABJRU5ErkJggg==
X-Now-Playing: Thomas Mery's _Les couleurs, les ombres_: "De l'amour, de la
 =?utf-8?Q?col=C3=A8re=22?=
Date: Sat, 17 Oct 2020 10:00:32 +0200
In-Reply-To: <xjfa6wlmgyf.fsf@HIDDEN> (Andrea Corallo's message of "Sat, 17
 Oct 2020 07:47:52 +0000")
Message-ID: <87imb9wacf.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Andrea Corallo <akrl@HIDDEN> writes: > That said honestly
 I've not much idea on how to rework `about-emacs' and > my understanding
 was that this is a general suggestion not strictly > native-comp related.
 If that's the case I'd be for cl [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 43269
Cc: 43269 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Andrea Corallo <akrl@HIDDEN> writes:

> That said honestly I've not much idea on how to rework `about-emacs' and
> my understanding was that this is a general suggestion not strictly
> native-comp related.  If that's the case I'd be for closing this bug as
> I think is out of scope for the feature branch, or if I'm wrong here and
> there's some suggestion I'm happy to put some effort into as well :)

The line that says

GNU Emacs 28.0.50 (build 85, x86_64-pc-linux-gnu, GTK+ Version 3.24.23, cairo version 1.16.0)
 of 2020-10-17

(which should perhaps be folded better) could have a ", natively
compiled" in there somewhere.

I think nativecomp is a big enough thing to be called out here -- at
least for a couple of Emacs versions.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#43269; Package emacs. Full text available.

Message received at 43269 <at> debbugs.gnu.org:


Received: (at 43269) by debbugs.gnu.org; 17 Oct 2020 07:47:56 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Oct 17 03:47:56 2020
Received: from localhost ([127.0.0.1]:33190 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kTgwW-0005dQ-0A
	for submit <at> debbugs.gnu.org; Sat, 17 Oct 2020 03:47:56 -0400
Received: from mab.sdf.org ([205.166.94.33]:60654 helo=ma.sdf.org)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <akrl@HIDDEN>) id 1kTgwU-0005dD-16
 for 43269 <at> debbugs.gnu.org; Sat, 17 Oct 2020 03:47:55 -0400
Received: from akrl by ma.sdf.org with local (Exim 4.92)
 (envelope-from <akrl@HIDDEN>)
 id 1kTgwS-0001Oy-UO; Sat, 17 Oct 2020 07:47:52 +0000
From: Andrea Corallo <akrl@HIDDEN>
To: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: Re: bug#43269: 28.0.50; [feature/native-comp] provide a user
 feedback on Emacs being native compiled
References: <VI1PR06MB4526511188299A6D4136193596280@HIDDEN>
 <xjfy2llqzcf.fsf@HIDDEN> <83tuw9mmfe.fsf@HIDDEN>
 <xjftuw9qtjy.fsf@HIDDEN> <83sgbtm2d3.fsf@HIDDEN>
 <VI1PR06MB4526C8E3283388EBB1A78AA896290@HIDDEN>
 <062E9DA2-B039-4AAD-802B-7333971F5B73@HIDDEN>
 <xjfk0x4r8zp.fsf_-_@HIDDEN> <83ft7smjcd.fsf@HIDDEN>
 <E1kFr2g-00054w-QL@HIDDEN> <83h7s7kpfr.fsf@HIDDEN>
 <xjfv9gnnfj5.fsf@HIDDEN> <83wo13j5i1.fsf@HIDDEN>
 <xjfpn6uoqpx.fsf@HIDDEN> <83tuw6kgyd.fsf@HIDDEN>
 <xjflfhiolyg.fsf@HIDDEN> <83sgbqkc32.fsf@HIDDEN>
 <xjfh7s6obye.fsf@HIDDEN> <83pn6ujoqs.fsf@HIDDEN>
 <xjfeelxmkb9.fsf@HIDDEN> <871rhxxqcd.fsf@HIDDEN>
Date: Sat, 17 Oct 2020 07:47:52 +0000
In-Reply-To: <871rhxxqcd.fsf@HIDDEN> (Lars Ingebrigtsen's message of "Sat,
 17 Oct 2020 09:29:38 +0200")
Message-ID: <xjfa6wlmgyf.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 43269
Cc: 43269 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Lars Ingebrigtsen <larsi@HIDDEN> writes:

> Andrea Corallo via "Bug reports for GNU Emacs, the Swiss army knife of
> text editors" <bug-gnu-emacs@HIDDEN> writes:
>
>> Reviewing this bug; IIRC the suggestion that came-up on another thread
>> on the subject of this bug was to rework `about-emacs' so it could host
>> additional information, is this correct?
>
> Possibly...  but "being natively compiled" isn't a binary thing, though:
> I mean, you could have --with-nativecomp, but still be using .elc files
> instead of .eln files.  Or a mixture, which I think would be normal for
> many years.
>
> But I guess that's a detail that wouldn't be that important for most
> people.  I mean, most people are using distributed versions of Emacs,
> and presumably if it has support for native compilation, then the vast
> majority of the Lisp file will also be natively compiled.

Correct, especially considering that unless what is now
`comp-deferred-compilation' is tweaked out of default all files will be
native compiled anyway regardless the fact that they are distributed
already native compiled or not.

That said honestly I've not much idea on how to rework `about-emacs' and
my understanding was that this is a general suggestion not strictly
native-comp related.  If that's the case I'd be for closing this bug as
I think is out of scope for the feature branch, or if I'm wrong here and
there's some suggestion I'm happy to put some effort into as well :)

  Andrea




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#43269; Package emacs. Full text available.

Message received at 43269 <at> debbugs.gnu.org:


Received: (at 43269) by debbugs.gnu.org; 17 Oct 2020 07:29:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Oct 17 03:29:58 2020
Received: from localhost ([127.0.0.1]:33160 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kTgf8-0005AA-6N
	for submit <at> debbugs.gnu.org; Sat, 17 Oct 2020 03:29:58 -0400
Received: from quimby.gnus.org ([95.216.78.240]:36446)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1kTgf7-00059x-7l
 for 43269 <at> debbugs.gnu.org; Sat, 17 Oct 2020 03:29:57 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=3QGnIO80BQoKkMZVkeX5gXGcKT1tzafQ9lj7r+X85/I=; b=Nd7KzROJja220WLRDVt85G5z9V
 8Zld2k35fuMrekRq27BqDiORbQabwfOni2HgA172oapC6Fj+S0IsFTmnaLk25Uv+bmK5jAUS4AT3Y
 hb5BC9LL1OsUCXn4/Gd6LVf1g9qVN67dKQPMNWVnBdaKDWXYjo+hwrIexjExGLTmcRP4=;
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1kTgep-0000gb-Ed; Sat, 17 Oct 2020 09:29:49 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Andrea Corallo via "Bug reports for GNU Emacs, the Swiss army knife of
 text editors" <bug-gnu-emacs@HIDDEN>
Subject: Re: bug#43269: 28.0.50; [feature/native-comp] provide a user
 feedback on Emacs being native compiled
References: <VI1PR06MB4526511188299A6D4136193596280@HIDDEN>
 <83wo15msrj.fsf@HIDDEN> <xjfy2llqzcf.fsf@HIDDEN>
 <83tuw9mmfe.fsf@HIDDEN> <xjftuw9qtjy.fsf@HIDDEN>
 <83sgbtm2d3.fsf@HIDDEN>
 <VI1PR06MB4526C8E3283388EBB1A78AA896290@HIDDEN>
 <062E9DA2-B039-4AAD-802B-7333971F5B73@HIDDEN>
 <xjfk0x4r8zp.fsf_-_@HIDDEN> <83ft7smjcd.fsf@HIDDEN>
 <E1kFr2g-00054w-QL@HIDDEN> <83h7s7kpfr.fsf@HIDDEN>
 <xjfv9gnnfj5.fsf@HIDDEN> <83wo13j5i1.fsf@HIDDEN>
 <xjfpn6uoqpx.fsf@HIDDEN> <83tuw6kgyd.fsf@HIDDEN>
 <xjflfhiolyg.fsf@HIDDEN> <83sgbqkc32.fsf@HIDDEN>
 <xjfh7s6obye.fsf@HIDDEN> <83pn6ujoqs.fsf@HIDDEN>
 <xjfeelxmkb9.fsf@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAAGFBMVEXp5+NdV1OAfoOk
 oJw+ODOzlk2Ld1D////X8SYtAAAAAWJLR0QHFmGI6wAAAAd0SU1FB+QKEQcaLROpa0QAAAGXSURB
 VDjLhZRdjoMgEMfd2AMsijyv2u6zSjwACbsXaId308D9j7AzA1aqbXbShDK/zsd/gBbFO/sQZJUe
 ikLrotS8tXZIoCdnibQ8CyHtBmqth1KTjbSVOUh25lRyeNT4F8hnQNVzYHMwobuOQGwRWH2suo6B
 3IG26toaBUoENgdxYWCeI0Q3EkDdSaBTyjUYARe4z0754Kirk/l1jQc/g3DOA+CnAQZC+MbRXi0E
 0H5ihDDgyTN/AziYQUEIMdUqcOyrsafepOGRmDSs2V0DXHWcyBaB7bpFhT6doHxKhYs+RNAQaz1G
 YDKgebQJyA1UOyCPoH0JRGwhA3RLyh2g33fon53XHtcpHe3JJuWXGyhf62l8gNivaG4QgNTRsBgk
 opYQAqs2UTl+kemK0/2w0RhYq5z3YfEhUJTMACeTJo2D7CsC3GESg4WTPwFDTvS2+xqxLRPP9Qge
 88hqcNUqjuMAeJBJ0NZVBqTJgF0f1T4VDY7vQ3sERugXxbFhE6+W2QHWgk9tFW4/1xclKn7QU9qJ
 4e2/0h+5O6+DnuukcAAAACV0RVh0ZGF0ZTpjcmVhdGUAMjAyMC0xMC0xN1QwNzoyNjo0NSswMDow
 MO3XgAEAAAAldEVYdGRhdGU6bW9kaWZ5ADIwMjAtMTAtMTdUMDc6MjY6NDUrMDA6MDCciji9AAAA
 AElFTkSuQmCC
X-Now-Playing: Split's _Sarah Dougher, Kaia_: "Sarah Dougher - The Old Way"
Date: Sat, 17 Oct 2020 09:29:38 +0200
In-Reply-To: <xjfeelxmkb9.fsf@HIDDEN> (Andrea Corallo via's message of "Sat, 
 17 Oct 2020 06:35:22 +0000")
Message-ID: <871rhxxqcd.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Andrea Corallo via "Bug reports for GNU Emacs, the Swiss army
 knife of text editors" <bug-gnu-emacs@HIDDEN> writes: > Reviewing this bug;
 IIRC the suggestion that came-up on another thread > on the subject of this
 bug was to rework `about-emacs' so it could host > additional information,
 is this correct? 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 43269
Cc: Eli Zaretskii <eliz@HIDDEN>, 43269 <at> debbugs.gnu.org,
 Andrea Corallo <akrl@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Andrea Corallo via "Bug reports for GNU Emacs, the Swiss army knife of
text editors" <bug-gnu-emacs@HIDDEN> writes:

> Reviewing this bug; IIRC the suggestion that came-up on another thread
> on the subject of this bug was to rework `about-emacs' so it could host
> additional information, is this correct?

Possibly...  but "being natively compiled" isn't a binary thing, though:
I mean, you could have --with-nativecomp, but still be using .elc files
instead of .eln files.  Or a mixture, which I think would be normal for
many years.

But I guess that's a detail that wouldn't be that important for most
people.  I mean, most people are using distributed versions of Emacs,
and presumably if it has support for native compilation, then the vast
majority of the Lisp file will also be natively compiled.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#43269; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 17 Oct 2020 07:30:01 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Oct 17 03:30:01 2020
Received: from localhost ([127.0.0.1]:33163 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kTgfB-0005AR-FK
	for submit <at> debbugs.gnu.org; Sat, 17 Oct 2020 03:30:01 -0400
Received: from lists.gnu.org ([209.51.188.17]:47534)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1kTgfA-0005AK-Cw
 for submit <at> debbugs.gnu.org; Sat, 17 Oct 2020 03:30:00 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:38986)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <larsi@HIDDEN>) id 1kTgfA-0004Dr-64
 for bug-gnu-emacs@HIDDEN; Sat, 17 Oct 2020 03:30:00 -0400
Received: from quimby.gnus.org ([2a01:4f9:2b:f0f::2]:54376)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <larsi@HIDDEN>)
 id 1kTgf8-0001bt-Et; Sat, 17 Oct 2020 03:29:59 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=3QGnIO80BQoKkMZVkeX5gXGcKT1tzafQ9lj7r+X85/I=; b=Nd7KzROJja220WLRDVt85G5z9V
 8Zld2k35fuMrekRq27BqDiORbQabwfOni2HgA172oapC6Fj+S0IsFTmnaLk25Uv+bmK5jAUS4AT3Y
 hb5BC9LL1OsUCXn4/Gd6LVf1g9qVN67dKQPMNWVnBdaKDWXYjo+hwrIexjExGLTmcRP4=;
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=xo)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1kTgep-0000gb-Ed; Sat, 17 Oct 2020 09:29:49 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Andrea Corallo via "Bug reports for GNU Emacs, the Swiss army knife of
 text editors" <bug-gnu-emacs@HIDDEN>
Subject: Re: bug#43269: 28.0.50; [feature/native-comp] provide a user
 feedback on Emacs being native compiled
References: <VI1PR06MB4526511188299A6D4136193596280@HIDDEN>
 <83wo15msrj.fsf@HIDDEN> <xjfy2llqzcf.fsf@HIDDEN>
 <83tuw9mmfe.fsf@HIDDEN> <xjftuw9qtjy.fsf@HIDDEN>
 <83sgbtm2d3.fsf@HIDDEN>
 <VI1PR06MB4526C8E3283388EBB1A78AA896290@HIDDEN>
 <062E9DA2-B039-4AAD-802B-7333971F5B73@HIDDEN>
 <xjfk0x4r8zp.fsf_-_@HIDDEN> <83ft7smjcd.fsf@HIDDEN>
 <E1kFr2g-00054w-QL@HIDDEN> <83h7s7kpfr.fsf@HIDDEN>
 <xjfv9gnnfj5.fsf@HIDDEN> <83wo13j5i1.fsf@HIDDEN>
 <xjfpn6uoqpx.fsf@HIDDEN> <83tuw6kgyd.fsf@HIDDEN>
 <xjflfhiolyg.fsf@HIDDEN> <83sgbqkc32.fsf@HIDDEN>
 <xjfh7s6obye.fsf@HIDDEN> <83pn6ujoqs.fsf@HIDDEN>
 <xjfeelxmkb9.fsf@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAAGFBMVEXp5+NdV1OAfoOk
 oJw+ODOzlk2Ld1D////X8SYtAAAAAWJLR0QHFmGI6wAAAAd0SU1FB+QKEQcaLROpa0QAAAGXSURB
 VDjLhZRdjoMgEMfd2AMsijyv2u6zSjwACbsXaId308D9j7AzA1aqbXbShDK/zsd/gBbFO/sQZJUe
 ikLrotS8tXZIoCdnibQ8CyHtBmqth1KTjbSVOUh25lRyeNT4F8hnQNVzYHMwobuOQGwRWH2suo6B
 3IG26toaBUoENgdxYWCeI0Q3EkDdSaBTyjUYARe4z0754Kirk/l1jQc/g3DOA+CnAQZC+MbRXi0E
 0H5ihDDgyTN/AziYQUEIMdUqcOyrsafepOGRmDSs2V0DXHWcyBaB7bpFhT6doHxKhYs+RNAQaz1G
 YDKgebQJyA1UOyCPoH0JRGwhA3RLyh2g33fon53XHtcpHe3JJuWXGyhf62l8gNivaG4QgNTRsBgk
 opYQAqs2UTl+kemK0/2w0RhYq5z3YfEhUJTMACeTJo2D7CsC3GESg4WTPwFDTvS2+xqxLRPP9Qge
 88hqcNUqjuMAeJBJ0NZVBqTJgF0f1T4VDY7vQ3sERugXxbFhE6+W2QHWgk9tFW4/1xclKn7QU9qJ
 4e2/0h+5O6+DnuukcAAAACV0RVh0ZGF0ZTpjcmVhdGUAMjAyMC0xMC0xN1QwNzoyNjo0NSswMDow
 MO3XgAEAAAAldEVYdGRhdGU6bW9kaWZ5ADIwMjAtMTAtMTdUMDc6MjY6NDUrMDA6MDCciji9AAAA
 AElFTkSuQmCC
X-Now-Playing: Split's _Sarah Dougher, Kaia_: "Sarah Dougher - The Old Way"
Date: Sat, 17 Oct 2020 09:29:38 +0200
In-Reply-To: <xjfeelxmkb9.fsf@HIDDEN> (Andrea Corallo via's message of "Sat, 
 17 Oct 2020 06:35:22 +0000")
Message-ID: <871rhxxqcd.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Andrea Corallo via "Bug reports for GNU Emacs, the Swiss army
 knife of text editors" <bug-gnu-emacs@HIDDEN> writes: > Reviewing this bug;
 IIRC the suggestion that came-up on another thread > on the subject of this
 bug was to rework `about-emacs' so it could host > additional information,
 is this correct? 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
Received-SPF: pass client-ip=2a01:4f9:2b:f0f::2; envelope-from=larsi@HIDDEN;
 helo=quimby.gnus.org
X-detected-operating-system: by eggs.gnu.org: No matching host in p0f cache.
 That's all we know.
X-Spam_score_int: -20
X-Spam_score: -2.1
X-Spam_bar: --
X-Spam_report: (-2.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.3 (-)
X-Debbugs-Envelope-To: submit
Cc: Eli Zaretskii <eliz@HIDDEN>, 43269 <at> debbugs.gnu.org,
 Andrea Corallo <akrl@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

Andrea Corallo via "Bug reports for GNU Emacs, the Swiss army knife of
text editors" <bug-gnu-emacs@HIDDEN> writes:

> Reviewing this bug; IIRC the suggestion that came-up on another thread
> on the subject of this bug was to rework `about-emacs' so it could host
> additional information, is this correct?

Possibly...  but "being natively compiled" isn't a binary thing, though:
I mean, you could have --with-nativecomp, but still be using .elc files
instead of .eln files.  Or a mixture, which I think would be normal for
many years.

But I guess that's a detail that wouldn't be that important for most
people.  I mean, most people are using distributed versions of Emacs,
and presumably if it has support for native compilation, then the vast
majority of the Lisp file will also be natively compiled.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#43269; Package emacs. Full text available.

Message received at 43269 <at> debbugs.gnu.org:


Received: (at 43269) by debbugs.gnu.org; 17 Oct 2020 06:35:26 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Oct 17 02:35:26 2020
Received: from localhost ([127.0.0.1]:33091 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kTfoL-0003qg-UM
	for submit <at> debbugs.gnu.org; Sat, 17 Oct 2020 02:35:26 -0400
Received: from mab.sdf.org ([205.166.94.33]:58422 helo=ma.sdf.org)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <akrl@HIDDEN>) id 1kTfoK-0003qY-4b
 for 43269 <at> debbugs.gnu.org; Sat, 17 Oct 2020 02:35:24 -0400
Received: from akrl by ma.sdf.org with local (Exim 4.92)
 (envelope-from <akrl@HIDDEN>)
 id 1kTfoI-0002fM-Jx; Sat, 17 Oct 2020 06:35:22 +0000
From: Andrea Corallo <akrl@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#43269: 28.0.50; [feature/native-comp] provide a user
 feedback on Emacs being native compiled
References: <VI1PR06MB4526511188299A6D4136193596280@HIDDEN>
 <xjf7dt5sfzt.fsf@HIDDEN> <83wo15msrj.fsf@HIDDEN>
 <xjfy2llqzcf.fsf@HIDDEN> <83tuw9mmfe.fsf@HIDDEN>
 <xjftuw9qtjy.fsf@HIDDEN> <83sgbtm2d3.fsf@HIDDEN>
 <VI1PR06MB4526C8E3283388EBB1A78AA896290@HIDDEN>
 <062E9DA2-B039-4AAD-802B-7333971F5B73@HIDDEN>
 <xjfk0x4r8zp.fsf_-_@HIDDEN> <83ft7smjcd.fsf@HIDDEN>
 <E1kFr2g-00054w-QL@HIDDEN> <83h7s7kpfr.fsf@HIDDEN>
 <xjfv9gnnfj5.fsf@HIDDEN> <83wo13j5i1.fsf@HIDDEN>
 <xjfpn6uoqpx.fsf@HIDDEN> <83tuw6kgyd.fsf@HIDDEN>
 <xjflfhiolyg.fsf@HIDDEN> <83sgbqkc32.fsf@HIDDEN>
 <xjfh7s6obye.fsf@HIDDEN> <83pn6ujoqs.fsf@HIDDEN>
Date: Sat, 17 Oct 2020 06:35:22 +0000
In-Reply-To: <83pn6ujoqs.fsf@HIDDEN> (Eli Zaretskii's message of "Thu, 10 Sep
 2020 06:26:51 +0300")
Message-ID: <xjfeelxmkb9.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 43269
Cc: 43269 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Reviewing this bug; IIRC the suggestion that came-up on another thread
on the subject of this bug was to rework `about-emacs' so it could host
additional information, is this correct?

Thanks

  Andrea




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#43269; Package emacs. Full text available.

Message received at 43269 <at> debbugs.gnu.org:


Received: (at 43269) by debbugs.gnu.org; 10 Sep 2020 12:16:47 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Sep 10 08:16:47 2020
Received: from localhost ([127.0.0.1]:37472 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kGLVN-0000ki-OZ
	for submit <at> debbugs.gnu.org; Thu, 10 Sep 2020 08:16:47 -0400
Received: from quimby.gnus.org ([95.216.78.240]:37788)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1kGLVK-0000kO-Eb
 for 43269 <at> debbugs.gnu.org; Thu, 10 Sep 2020 08:16:44 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Content-Type:MIME-Version:Message-ID:In-Reply-To:Date:
 References:Subject:Cc:To:From:Sender:Reply-To:Content-Transfer-Encoding:
 Content-ID:Content-Description:Resent-Date:Resent-From:Resent-Sender:
 Resent-To:Resent-Cc:Resent-Message-ID:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=MA5NKV/FRRVoX806Cw3wwRgfFClzAbKvsSil7/3G6/0=; b=SMN8KVzOpd6XyYJ8J10e6D3K4X
 rok+hnPkvb6/YtlrF0wUmM84PNESH9sDFbePSyLBNsteG81hdEGQGi+8KIV3KJ88jCwitrg5KH5IK
 tGUMIWtdiAl5n2AKfVykFhZOjQQl1dLiMJKP0x4a3QKHtmO62qgVUwo43bmIxwI9jk5Y=;
Received: from cm-84.212.202.86.getinternet.no ([84.212.202.86] helo=xo)
 by quimby with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>)
 id 1kGLV3-0006Cc-Sy; Thu, 10 Sep 2020 14:16:35 +0200
From: Lars Ingebrigtsen <larsi@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#43269: 28.0.50; [feature/native-comp] provide a user
 feedback on Emacs being native compiled
References: <VI1PR06MB4526511188299A6D4136193596280@HIDDEN>
 <xjfblihsqvc.fsf@HIDDEN>
 <VI1PR06MB4526A5E0FC31580F4F8E0D1E96280@HIDDEN>
 <xjf7dt5sfzt.fsf@HIDDEN> <83wo15msrj.fsf@HIDDEN>
 <xjfy2llqzcf.fsf@HIDDEN> <83tuw9mmfe.fsf@HIDDEN>
 <xjftuw9qtjy.fsf@HIDDEN> <83sgbtm2d3.fsf@HIDDEN>
 <VI1PR06MB4526C8E3283388EBB1A78AA896290@HIDDEN>
 <062E9DA2-B039-4AAD-802B-7333971F5B73@HIDDEN>
 <xjfk0x4r8zp.fsf_-_@HIDDEN> <83ft7smjcd.fsf@HIDDEN>
 <E1kFr2g-00054w-QL@HIDDEN> <83h7s7kpfr.fsf@HIDDEN>
 <xjfv9gnnfj5.fsf@HIDDEN> <83wo13j5i1.fsf@HIDDEN>
 <xjfpn6uoqpx.fsf@HIDDEN>
Face: iVBORw0KGgoAAAANSUhEUgAAADAAAAAwBAMAAAClLOS0AAAABGdBTUEAALGPC/xhBQAAACBj
 SFJNAAB6JgAAgIQAAPoAAACA6AAAdTAAAOpgAAA6mAAAF3CculE8AAAAElBMVEWytbNgaWQUEgxV
 Sy+KfWj///+zSVcCAAAAAWJLR0QF+G/pxwAAAAd0SU1FB+QJCgwACCRtAHcAAAHBSURBVDjLlZTd
 keswCIWVGRewWCpgIzUQQAVYMf3XtAf9ZJ3chztLZvSgz3CAYyeEP8etMEeiEjOCJWdRNSmPsDEd
 tm1EDtSPovXUDhISyTOK4FY1q3XA1Gy7AlFrPYOOEHgCrWaqiR4oAnBs3HDfpDg4e6lAiZIZ33Ku
 AcAcnPULoB0Bv5vkhDaVz3qWvR6eEVo4bAIpzwJQOsB8xE0LAKpXO6sUL0VRNd6NAHatLr6AB2MU
 s8aeYS0P0LzWEZrZVs9czG4ZGps/rwqQGlkfs2GVXwMgrOFIu2/R9/ntgF0/EcfUct9IB9CAH74e
 1iQODmxRH6srlIdQHiDWs2vgStliUUjDvooEGuKRI4B097AQUYqzFDrdpNuKlfNTMs/JrY1GfTqs
 RGZX1jBEnuCs9pwANlmLV1A6SB3sC8DCCUaGTFBV63NO7npTAgClZK3E17eAvwwv4CO+gMLj/Cu+
 MrAS1XsboM+Uf1OkHPsLPK8AxwdwVR3H0tjzW3SjOpAPIKtU/gidoHXdKO+AZrcD3IdhffI0mioX
 oeFgon19y3MYSsPa4Svrpd3peX595Cuu4G3A/4CY/4nv8U/Tp3+L8APHNKC5nyPwrAAAACV0RVh0
 ZGF0ZTpjcmVhdGUAMjAyMC0wOS0xMFQxMjowMDowOCswMDowMJvFKjYAAAAldEVYdGRhdGU6bW9k
 aWZ5ADIwMjAtMDktMTBUMTI6MDA6MDgrMDA6MDDqmJKKAAAAAElFTkSuQmCC
X-Now-Playing: Simon & Garfunkel's _Bridge Over Troubled Water_: "The Only
 Living Boy In New York"
Date: Thu, 10 Sep 2020 14:16:24 +0200
In-Reply-To: <xjfpn6uoqpx.fsf@HIDDEN> (Andrea Corallo via's message of "Wed, 
 09 Sep 2020 16:32:58 +0000")
Message-ID: <87ft7p9693.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/28.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  Andrea Corallo via "Bug reports for GNU Emacs, the Swiss army
 knife of text editors" <bug-gnu-emacs@HIDDEN> writes: > $ git clean -xfd
 && ./autogen.sh && ./configure --without-x > --with-nativecomp & [...] 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 43269
Cc: 43269 <at> debbugs.gnu.org, rms@HIDDEN, arthur.miller@HIDDEN,
 Andrea Corallo <akrl@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Andrea Corallo via "Bug reports for GNU Emacs, the Swiss army knife of
text editors" <bug-gnu-emacs@HIDDEN> writes:
> $ git clean -xfd && ./autogen.sh && ./configure --without-x
> --with-nativecomp && time make NATIVE_FAST_BOOT=1 -j16
> [...]
> real    4m19.570s
> user    28m59.958s
> sys     0m48.797s

Just another data point -- on my AMD Ryzen 7 3700X 8-Core Processor,

$ make bootstrap-clean; ./configure; time make NATIVE_FAST_BOOT=1 -j16

real	1m51.603s
user	11m27.197s
sys	0m38.004s

$ make bootstrap-clean; ./configure --with-nativecomp; time make NATIVE_FAST_BOOT=1 -j16 

real	3m44.636s
user	27m15.699s
sys	0m53.677s

So it takes about 2x the time to build Emacs on this machine with native
compilation, which isn't so bad.  (And the result is a really snappy and
responsive Emacs. :-))

Of course, the non-native compilation spends a lot of time being
single-threaded, and there's room for improvement there.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#43269; Package emacs. Full text available.

Message received at 43269 <at> debbugs.gnu.org:


Received: (at 43269) by debbugs.gnu.org; 10 Sep 2020 03:27:05 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Sep 09 23:27:05 2020
Received: from localhost ([127.0.0.1]:35598 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kGDEn-0005UB-3M
	for submit <at> debbugs.gnu.org; Wed, 09 Sep 2020 23:27:05 -0400
Received: from eggs.gnu.org ([209.51.188.92]:41154)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1kGDEl-0005Ti-F4
 for 43269 <at> debbugs.gnu.org; Wed, 09 Sep 2020 23:27:04 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:49576)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1kGDEg-0002U3-1G; Wed, 09 Sep 2020 23:26:58 -0400
Received: from [176.228.60.248] (port=1734 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1kGDEX-00066D-3f; Wed, 09 Sep 2020 23:26:49 -0400
Date: Thu, 10 Sep 2020 06:26:51 +0300
Message-Id: <83pn6ujoqs.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Andrea Corallo <akrl@HIDDEN>
In-Reply-To: <xjfh7s6obye.fsf@HIDDEN> (message from Andrea Corallo on Wed, 09
 Sep 2020 21:51:53 +0000)
Subject: Re: bug#43269: 28.0.50;
 [feature/native-comp] provide a user feedback on Emacs being native
 compiled
References: <VI1PR06MB4526511188299A6D4136193596280@HIDDEN>
 <xjfblihsqvc.fsf@HIDDEN>
 <VI1PR06MB4526A5E0FC31580F4F8E0D1E96280@HIDDEN>
 <xjf7dt5sfzt.fsf@HIDDEN> <83wo15msrj.fsf@HIDDEN>
 <xjfy2llqzcf.fsf@HIDDEN> <83tuw9mmfe.fsf@HIDDEN>
 <xjftuw9qtjy.fsf@HIDDEN> <83sgbtm2d3.fsf@HIDDEN>
 <VI1PR06MB4526C8E3283388EBB1A78AA896290@HIDDEN>
 <062E9DA2-B039-4AAD-802B-7333971F5B73@HIDDEN>
 <xjfk0x4r8zp.fsf_-_@HIDDEN> <83ft7smjcd.fsf@HIDDEN>
 <E1kFr2g-00054w-QL@HIDDEN> <83h7s7kpfr.fsf@HIDDEN>
 <xjfv9gnnfj5.fsf@HIDDEN> <83wo13j5i1.fsf@HIDDEN>
 <xjfpn6uoqpx.fsf@HIDDEN> <83tuw6kgyd.fsf@HIDDEN>
 <xjflfhiolyg.fsf@HIDDEN> <83sgbqkc32.fsf@HIDDEN> <xjfh7s6obye.fsf@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 43269
Cc: rms@HIDDEN, arthur.miller@HIDDEN, 43269 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Andrea Corallo <akrl@HIDDEN>
> Cc: rms@HIDDEN,  arthur.miller@HIDDEN,  43269 <at> debbugs.gnu.org
> Date: Wed, 09 Sep 2020 21:51:53 +0000
> 
> It should be said that, as we have improved compilation speed already by
> about a factor five, we may be able to improve it further.  But this is
> where we stand today.

Needless to say, I think that making this faster is very important.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#43269; Package emacs. Full text available.

Message received at 43269 <at> debbugs.gnu.org:


Received: (at 43269) by debbugs.gnu.org; 9 Sep 2020 21:52:00 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Sep 09 17:52:00 2020
Received: from localhost ([127.0.0.1]:34996 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kG80V-00013M-Sg
	for submit <at> debbugs.gnu.org; Wed, 09 Sep 2020 17:52:00 -0400
Received: from mab.sdf.org ([205.166.94.33]:43306 helo=ma.sdf.org)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <akrl@HIDDEN>) id 1kG80T-00013E-Pq
 for 43269 <at> debbugs.gnu.org; Wed, 09 Sep 2020 17:51:58 -0400
Received: from akrl by ma.sdf.org with local (Exim 4.92)
 (envelope-from <akrl@HIDDEN>)
 id 1kG80P-0001GW-BL; Wed, 09 Sep 2020 21:51:53 +0000
From: Andrea Corallo <akrl@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#43269: 28.0.50;
 [feature/native-comp] provide a user feedback on Emacs being native
 compiled
References: <VI1PR06MB4526511188299A6D4136193596280@HIDDEN>
 <xjfblihsqvc.fsf@HIDDEN>
 <VI1PR06MB4526A5E0FC31580F4F8E0D1E96280@HIDDEN>
 <xjf7dt5sfzt.fsf@HIDDEN> <83wo15msrj.fsf@HIDDEN>
 <xjfy2llqzcf.fsf@HIDDEN> <83tuw9mmfe.fsf@HIDDEN>
 <xjftuw9qtjy.fsf@HIDDEN> <83sgbtm2d3.fsf@HIDDEN>
 <VI1PR06MB4526C8E3283388EBB1A78AA896290@HIDDEN>
 <062E9DA2-B039-4AAD-802B-7333971F5B73@HIDDEN>
 <xjfk0x4r8zp.fsf_-_@HIDDEN> <83ft7smjcd.fsf@HIDDEN>
 <E1kFr2g-00054w-QL@HIDDEN> <83h7s7kpfr.fsf@HIDDEN>
 <xjfv9gnnfj5.fsf@HIDDEN> <83wo13j5i1.fsf@HIDDEN>
 <xjfpn6uoqpx.fsf@HIDDEN> <83tuw6kgyd.fsf@HIDDEN>
 <xjflfhiolyg.fsf@HIDDEN> <83sgbqkc32.fsf@HIDDEN>
Date: Wed, 09 Sep 2020 21:51:53 +0000
In-Reply-To: <83sgbqkc32.fsf@HIDDEN> (Eli Zaretskii's message of "Wed, 09 Sep
 2020 22:02:41 +0300")
Message-ID: <xjfh7s6obye.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.3 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 43269
Cc: rms@HIDDEN, arthur.miller@HIDDEN, 43269 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Eli Zaretskii <eliz@HIDDEN> writes:

>> From: Andrea Corallo <akrl@HIDDEN>
>> Cc: rms@HIDDEN,  arthur.miller@HIDDEN,  43269 <at> debbugs.gnu.org
>> Date: Wed, 09 Sep 2020 18:15:51 +0000
>> 
>> > So what do you have there, an i9 CPU?  In any case, 4 min with -j16 is
>> > quite a lot.
>> 
>> It's Xeon from three yeas ago (8 real cores).  It's 4 mins because our
>> build is not very parallel.
>> 
>> But that said I think what matters it the total CPU time (here ~30min)
>> to be compared against the same for the vanilla build (~12min).  This is
>> about what one would get at -j1.
>
> No, what matters to users is the elapsed time.  And that cannot be
> simply estimated as the total CPU time.

To my knowledge and for my experience with this workload this is a
decent estimation of the conversion factor.

It should be said that, as we have improved compilation speed already by
about a factor five, we may be able to improve it further.  But this is
where we stand today.

> Anyway, thanks for the data (and all your hard work on this).

Welcome, I really enjoy to work on this with you all.

  Andrea




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#43269; Package emacs. Full text available.

Message received at 43269 <at> debbugs.gnu.org:


Received: (at 43269) by debbugs.gnu.org; 9 Sep 2020 19:02:57 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Sep 09 15:02:57 2020
Received: from localhost ([127.0.0.1]:34712 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kG5Mr-0005NO-O3
	for submit <at> debbugs.gnu.org; Wed, 09 Sep 2020 15:02:57 -0400
Received: from eggs.gnu.org ([209.51.188.92]:51544)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1kG5Mp-0005NA-DI
 for 43269 <at> debbugs.gnu.org; Wed, 09 Sep 2020 15:02:53 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:42011)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1kG5Mj-0001pF-E1; Wed, 09 Sep 2020 15:02:45 -0400
Received: from [176.228.60.248] (port=2809 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1kG5Mc-0000Wj-Ah; Wed, 09 Sep 2020 15:02:38 -0400
Date: Wed, 09 Sep 2020 22:02:41 +0300
Message-Id: <83sgbqkc32.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Andrea Corallo <akrl@HIDDEN>
In-Reply-To: <xjflfhiolyg.fsf@HIDDEN> (message from Andrea Corallo on Wed, 09
 Sep 2020 18:15:51 +0000)
Subject: Re: bug#43269: 28.0.50;
 [feature/native-comp] provide a user feedback on Emacs being native
 compiled
References: <VI1PR06MB4526511188299A6D4136193596280@HIDDEN>
 <xjfblihsqvc.fsf@HIDDEN>
 <VI1PR06MB4526A5E0FC31580F4F8E0D1E96280@HIDDEN>
 <xjf7dt5sfzt.fsf@HIDDEN> <83wo15msrj.fsf@HIDDEN>
 <xjfy2llqzcf.fsf@HIDDEN> <83tuw9mmfe.fsf@HIDDEN>
 <xjftuw9qtjy.fsf@HIDDEN> <83sgbtm2d3.fsf@HIDDEN>
 <VI1PR06MB4526C8E3283388EBB1A78AA896290@HIDDEN>
 <062E9DA2-B039-4AAD-802B-7333971F5B73@HIDDEN>
 <xjfk0x4r8zp.fsf_-_@HIDDEN> <83ft7smjcd.fsf@HIDDEN>
 <E1kFr2g-00054w-QL@HIDDEN> <83h7s7kpfr.fsf@HIDDEN>
 <xjfv9gnnfj5.fsf@HIDDEN> <83wo13j5i1.fsf@HIDDEN>
 <xjfpn6uoqpx.fsf@HIDDEN> <83tuw6kgyd.fsf@HIDDEN> <xjflfhiolyg.fsf@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 43269
Cc: rms@HIDDEN, arthur.miller@HIDDEN, 43269 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Andrea Corallo <akrl@HIDDEN>
> Cc: rms@HIDDEN,  arthur.miller@HIDDEN,  43269 <at> debbugs.gnu.org
> Date: Wed, 09 Sep 2020 18:15:51 +0000
> 
> > So what do you have there, an i9 CPU?  In any case, 4 min with -j16 is
> > quite a lot.
> 
> It's Xeon from three yeas ago (8 real cores).  It's 4 mins because our
> build is not very parallel.
> 
> But that said I think what matters it the total CPU time (here ~30min)
> to be compared against the same for the vanilla build (~12min).  This is
> about what one would get at -j1.

No, what matters to users is the elapsed time.  And that cannot be
simply estimated as the total CPU time.

Anyway, thanks for the data (and all your hard work on this).




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#43269; Package emacs. Full text available.

Message received at 43269 <at> debbugs.gnu.org:


Received: (at 43269) by debbugs.gnu.org; 9 Sep 2020 18:16:00 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Sep 09 14:16:00 2020
Received: from localhost ([127.0.0.1]:34521 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kG4dR-0002qb-UQ
	for submit <at> debbugs.gnu.org; Wed, 09 Sep 2020 14:16:00 -0400
Received: from mab.sdf.org ([205.166.94.33]:50002 helo=ma.sdf.org)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <akrl@HIDDEN>) id 1kG4dO-0002m9-2b
 for 43269 <at> debbugs.gnu.org; Wed, 09 Sep 2020 14:15:56 -0400
Received: from akrl by ma.sdf.org with local (Exim 4.92)
 (envelope-from <akrl@HIDDEN>)
 id 1kG4dL-0007Qy-RO; Wed, 09 Sep 2020 18:15:51 +0000
From: Andrea Corallo <akrl@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#43269: 28.0.50;
 [feature/native-comp] provide a user feedback on Emacs being native
 compiled
References: <VI1PR06MB4526511188299A6D4136193596280@HIDDEN>
 <xjfblihsqvc.fsf@HIDDEN>
 <VI1PR06MB4526A5E0FC31580F4F8E0D1E96280@HIDDEN>
 <xjf7dt5sfzt.fsf@HIDDEN> <83wo15msrj.fsf@HIDDEN>
 <xjfy2llqzcf.fsf@HIDDEN> <83tuw9mmfe.fsf@HIDDEN>
 <xjftuw9qtjy.fsf@HIDDEN> <83sgbtm2d3.fsf@HIDDEN>
 <VI1PR06MB4526C8E3283388EBB1A78AA896290@HIDDEN>
 <062E9DA2-B039-4AAD-802B-7333971F5B73@HIDDEN>
 <xjfk0x4r8zp.fsf_-_@HIDDEN> <83ft7smjcd.fsf@HIDDEN>
 <E1kFr2g-00054w-QL@HIDDEN> <83h7s7kpfr.fsf@HIDDEN>
 <xjfv9gnnfj5.fsf@HIDDEN> <83wo13j5i1.fsf@HIDDEN>
 <xjfpn6uoqpx.fsf@HIDDEN> <83tuw6kgyd.fsf@HIDDEN>
Date: Wed, 09 Sep 2020 18:15:51 +0000
In-Reply-To: <83tuw6kgyd.fsf@HIDDEN> (Eli Zaretskii's message of "Wed, 09 Sep
 2020 20:17:30 +0300")
Message-ID: <xjflfhiolyg.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.3 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 43269
Cc: rms@HIDDEN, arthur.miller@HIDDEN, 43269 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Eli Zaretskii <eliz@HIDDEN> writes:

>> From: Andrea Corallo <akrl@HIDDEN>
>> Cc: rms@HIDDEN,  arthur.miller@HIDDEN,  43269 <at> debbugs.gnu.org
>> Date: Wed, 09 Sep 2020 16:32:58 +0000
>> 
>> > Is this with "make" or with "make -jN"? if the latter, what value of N
>> > was used?
>> 
>> $ git clean -xfd && ./autogen.sh && ./configure --without-x
>> --with-nativecomp && time make NATIVE_FAST_BOOT=1 -j16
>> [...]
>> real    4m19.570s
>> user    28m59.958s
>> sys     0m48.797s
>> $
>> 
>> I guess -j1 may even score slightly less user time.
>
> So what do you have there, an i9 CPU?  In any case, 4 min with -j16 is
> quite a lot.

It's Xeon from three yeas ago (8 real cores).  It's 4 mins because our
build is not very parallel.

But that said I think what matters it the total CPU time (here ~30min)
to be compared against the same for the vanilla build (~12min).  This is
about what one would get at -j1.

This indicates a 2.5x.

> And what does NATIVE_FAST_BOOT=1 do? what kind of compiler
> optimizations does it imply?

It's just the current way to say not to compile AoT all the Emacs
distribution but only what goes into the dump.  Is going to to be the
default soon as agreed.

  Andrea




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#43269; Package emacs. Full text available.

Message received at 43269 <at> debbugs.gnu.org:


Received: (at 43269) by debbugs.gnu.org; 9 Sep 2020 17:17:49 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Sep 09 13:17:49 2020
Received: from localhost ([127.0.0.1]:33181 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kG3j9-0008GV-7p
	for submit <at> debbugs.gnu.org; Wed, 09 Sep 2020 13:17:49 -0400
Received: from eggs.gnu.org ([209.51.188.92]:60666)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1kG3j5-0008GC-UJ
 for 43269 <at> debbugs.gnu.org; Wed, 09 Sep 2020 13:17:46 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:39129)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1kG3j0-0007Kx-Bw; Wed, 09 Sep 2020 13:17:38 -0400
Received: from [176.228.60.248] (port=4002 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1kG3iq-0000EY-GL; Wed, 09 Sep 2020 13:17:29 -0400
Date: Wed, 09 Sep 2020 20:17:30 +0300
Message-Id: <83tuw6kgyd.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Andrea Corallo <akrl@HIDDEN>
In-Reply-To: <xjfpn6uoqpx.fsf@HIDDEN> (message from Andrea Corallo on Wed, 09
 Sep 2020 16:32:58 +0000)
Subject: Re: bug#43269: 28.0.50;
 [feature/native-comp] provide a user feedback on Emacs being native
 compiled
References: <VI1PR06MB4526511188299A6D4136193596280@HIDDEN>
 <xjfblihsqvc.fsf@HIDDEN>
 <VI1PR06MB4526A5E0FC31580F4F8E0D1E96280@HIDDEN>
 <xjf7dt5sfzt.fsf@HIDDEN> <83wo15msrj.fsf@HIDDEN>
 <xjfy2llqzcf.fsf@HIDDEN> <83tuw9mmfe.fsf@HIDDEN>
 <xjftuw9qtjy.fsf@HIDDEN> <83sgbtm2d3.fsf@HIDDEN>
 <VI1PR06MB4526C8E3283388EBB1A78AA896290@HIDDEN>
 <062E9DA2-B039-4AAD-802B-7333971F5B73@HIDDEN>
 <xjfk0x4r8zp.fsf_-_@HIDDEN> <83ft7smjcd.fsf@HIDDEN>
 <E1kFr2g-00054w-QL@HIDDEN> <83h7s7kpfr.fsf@HIDDEN>
 <xjfv9gnnfj5.fsf@HIDDEN> <83wo13j5i1.fsf@HIDDEN> <xjfpn6uoqpx.fsf@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 43269
Cc: rms@HIDDEN, arthur.miller@HIDDEN, 43269 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Andrea Corallo <akrl@HIDDEN>
> Cc: rms@HIDDEN,  arthur.miller@HIDDEN,  43269 <at> debbugs.gnu.org
> Date: Wed, 09 Sep 2020 16:32:58 +0000
> 
> > Is this with "make" or with "make -jN"? if the latter, what value of N
> > was used?
> 
> $ git clean -xfd && ./autogen.sh && ./configure --without-x --with-nativecomp  && time make NATIVE_FAST_BOOT=1 -j16
> [...]
> real    4m19.570s
> user    28m59.958s
> sys     0m48.797s
> $
> 
> I guess -j1 may even score slightly less user time.

So what do you have there, an i9 CPU?  In any case, 4 min with -j16 is
quite a lot.

And what does NATIVE_FAST_BOOT=1 do? what kind of compiler
optimizations does it imply?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#43269; Package emacs. Full text available.

Message received at 43269 <at> debbugs.gnu.org:


Received: (at 43269) by debbugs.gnu.org; 9 Sep 2020 16:49:01 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Sep 09 12:49:01 2020
Received: from localhost ([127.0.0.1]:33113 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kG3HJ-0007Yj-32
	for submit <at> debbugs.gnu.org; Wed, 09 Sep 2020 12:49:01 -0400
Received: from mail-ej1-f43.google.com ([209.85.218.43]:43139)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <stefankangas@HIDDEN>) id 1kG3HG-0007YV-SI
 for 43269 <at> debbugs.gnu.org; Wed, 09 Sep 2020 12:48:59 -0400
Received: by mail-ej1-f43.google.com with SMTP id o8so4523167ejb.10
 for <43269 <at> debbugs.gnu.org>; Wed, 09 Sep 2020 09:48:58 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=from:in-reply-to:references:mime-version:date:message-id:subject:to
 :cc; bh=bMOWa366wHEEPMDFYIDZSBRBNV0EnAeRXb9X61dNIrs=;
 b=t0Gc7QGeYqNmRHNh+uVoFSXLw/XHX6HgwoeKcs/3sg+rjcsMtaLfmidndOmCY/44gc
 tX8L1yPhFVadysnv3o81PVVooYzSBhavso5nxNURpU3c1eVWakUsyQNp0ckLUsKdGM2t
 fSv4PFbJYx6UAmUrz1Tw4avfPlzzlvf1ltKlKZivak+XiWCJdREQSji9Pg9WWVYbAqoj
 pn7LZxpZo0z7lmkDFb6oQggdk3MtnHZQZmsR4gs2KS4wumEJuQVk2X9XQMUCFZ2dcTn2
 6Vr+QEDri0xMAbDXazlBFzpEFh1OUeT+qTjdTgrRzz7A0s1MvRXUbkr3TpUVMyoYX+Kl
 SmmQ==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:from:in-reply-to:references:mime-version:date
 :message-id:subject:to:cc;
 bh=bMOWa366wHEEPMDFYIDZSBRBNV0EnAeRXb9X61dNIrs=;
 b=GC906hzuebuCJNMbW7rSzxhjWkXjH+utD8dVL++K/YGBDtySkHHVRjCuHBYdCLM8Mz
 7l07sLhvzHYtXYfJBvzZYhRim7OanTkTi4l1Aj/LBzGnjdaxRUf/0CC3hWR1kGbVKkt/
 k2aL/3bkKnVA+5GvBqd5gopQSQySLOzNyeqqaHWa3M6YFU0bkIc2fEur10mLOjFdsgEZ
 ClKAuzLIRHNIkxnkbUfjkgf9PBQ4qrewFcnm59nLfpCbv5+1KAJZXE+bZnoCKvmOzueb
 +5bTK4j7pfIH2jGtanip0ue+hqQQKzOfdse/gUDlfy+fy++/rD+x5SXdGUaM/QDnNsfw
 c8yw==
X-Gm-Message-State: AOAM531Ul1RRupneFecGxrWTPWgcKKhfdtXJOOq9YFt72JFJPwE8hbiQ
 UoOoS69wVjjxdlWqwxSP1MYtVjL5iRkgBv8pg/w=
X-Google-Smtp-Source: ABdhPJz+1P0RBBdY87MIE5A/ZV1sIpXbpHwfGqEYrRa2hGXVNBo1EgMoPW3UiHVOVkEZQ4Sz1LG7UwGOcIGIvx5MCzk=
X-Received: by 2002:a17:907:70cb:: with SMTP id
 yk11mr4489703ejb.312.1599670133013; 
 Wed, 09 Sep 2020 09:48:53 -0700 (PDT)
Received: from 753933720722 named unknown by gmailapi.google.com with
 HTTPREST; Wed, 9 Sep 2020 09:48:52 -0700
From: Stefan Kangas <stefankangas@HIDDEN>
In-Reply-To: <83wo13j5i1.fsf@HIDDEN>
References: <VI1PR06MB4526511188299A6D4136193596280@HIDDEN>
 <xjfblihsqvc.fsf@HIDDEN>
 <VI1PR06MB4526A5E0FC31580F4F8E0D1E96280@HIDDEN>
 <xjf7dt5sfzt.fsf@HIDDEN> <83wo15msrj.fsf@HIDDEN> <xjfy2llqzcf.fsf@HIDDEN>
 <83tuw9mmfe.fsf@HIDDEN> <xjftuw9qtjy.fsf@HIDDEN> <83sgbtm2d3.fsf@HIDDEN>
 <VI1PR06MB4526C8E3283388EBB1A78AA896290@HIDDEN>
 <062E9DA2-B039-4AAD-802B-7333971F5B73@HIDDEN> <xjfk0x4r8zp.fsf_-_@HIDDEN>
 <83ft7smjcd.fsf@HIDDEN> <E1kFr2g-00054w-QL@HIDDEN>
 <83h7s7kpfr.fsf@HIDDEN> <xjfv9gnnfj5.fsf@HIDDEN> <83wo13j5i1.fsf@HIDDEN>
MIME-Version: 1.0
Date: Wed, 9 Sep 2020 09:48:52 -0700
Message-ID: <CADwFkm=1LYn89vwbDDrdH1_w_K1imuuDA6ypFnPrXPAT5izO7Q@HIDDEN>
Subject: Re: bug#43269: 28.0.50; [feature/native-comp] provide a user feedback
 on Emacs being native compiled
To: Eli Zaretskii <eliz@HIDDEN>, Andrea Corallo <akrl@HIDDEN>
Content-Type: text/plain; charset="UTF-8"
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 43269
Cc: rms@HIDDEN, arthur.miller@HIDDEN, 43269 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Eli Zaretskii <eliz@HIDDEN> writes:

>> For Guile I have no idea if it was simpler to implement or discuss.
>
> I'm talking from the POV of a Guile user: it is simply seamless.

FWIW, I have been using the native-comp branch for the last few weeks,
and my experience has been mostly seamless.  The only bug I've
personally seen in that time has been fixed (keymaps showing up as
undefined).




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#43269; Package emacs. Full text available.

Message received at 43269 <at> debbugs.gnu.org:


Received: (at 43269) by debbugs.gnu.org; 9 Sep 2020 16:33:07 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Sep 09 12:33:06 2020
Received: from localhost ([127.0.0.1]:33076 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kG31s-0007AF-Rd
	for submit <at> debbugs.gnu.org; Wed, 09 Sep 2020 12:33:06 -0400
Received: from mab.sdf.org ([205.166.94.33]:45630 helo=ma.sdf.org)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <akrl@HIDDEN>) id 1kG31p-00079w-P0
 for 43269 <at> debbugs.gnu.org; Wed, 09 Sep 2020 12:33:03 -0400
Received: from akrl by ma.sdf.org with local (Exim 4.92)
 (envelope-from <akrl@HIDDEN>)
 id 1kG31m-0004nd-8d; Wed, 09 Sep 2020 16:32:58 +0000
From: Andrea Corallo <akrl@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#43269: 28.0.50;
 [feature/native-comp] provide a user feedback on Emacs being native
 compiled
References: <VI1PR06MB4526511188299A6D4136193596280@HIDDEN>
 <xjfblihsqvc.fsf@HIDDEN>
 <VI1PR06MB4526A5E0FC31580F4F8E0D1E96280@HIDDEN>
 <xjf7dt5sfzt.fsf@HIDDEN> <83wo15msrj.fsf@HIDDEN>
 <xjfy2llqzcf.fsf@HIDDEN> <83tuw9mmfe.fsf@HIDDEN>
 <xjftuw9qtjy.fsf@HIDDEN> <83sgbtm2d3.fsf@HIDDEN>
 <VI1PR06MB4526C8E3283388EBB1A78AA896290@HIDDEN>
 <062E9DA2-B039-4AAD-802B-7333971F5B73@HIDDEN>
 <xjfk0x4r8zp.fsf_-_@HIDDEN> <83ft7smjcd.fsf@HIDDEN>
 <E1kFr2g-00054w-QL@HIDDEN> <83h7s7kpfr.fsf@HIDDEN>
 <xjfv9gnnfj5.fsf@HIDDEN> <83wo13j5i1.fsf@HIDDEN>
Date: Wed, 09 Sep 2020 16:32:58 +0000
In-Reply-To: <83wo13j5i1.fsf@HIDDEN> (Eli Zaretskii's message of "Wed, 09 Sep
 2020 19:10:14 +0300")
Message-ID: <xjfpn6uoqpx.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.3 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 43269
Cc: rms@HIDDEN, arthur.miller@HIDDEN, 43269 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Eli Zaretskii <eliz@HIDDEN> writes:

>> From: Andrea Corallo <akrl@HIDDEN>
>> Cc: rms@HIDDEN,  arthur.miller@HIDDEN,  43269 <at> debbugs.gnu.org
>> Date: Wed, 09 Sep 2020 15:19:58 +0000
>>
>> the native compiler improved considerably the compilation speed with
>> time.  I just took a measure at today's status native compiling only the
>> dumped image (what is going to be default when native compiling).
>>
>> On my dev machine vanilla Emacs uses 12m tot CPU time for a compilation
>> from a fresh repo. The same native compiling takes 30m tot CPU time so
>> IMO it is not terrible.
>
> Is this with "make" or with "make -jN"? if the latter, what value of N
> was used?

$ git clean -xfd && ./autogen.sh && ./configure --without-x --with-nativecomp  && time make NATIVE_FAST_BOOT=1 -j16
[...]
real    4m19.570s
user    28m59.958s
sys     0m48.797s
$

I guess -j1 may even score slightly less user time.

>> For Guile I have no idea if it was simpler to implement or discuss.
>
> I'm talking from the POV of a Guile user: it is simply seamless.

Well I think from a user prespective now with our native-compiler should
be the same, it does not require any user intervention.

  Andrea




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#43269; Package emacs. Full text available.

Message received at 43269 <at> debbugs.gnu.org:


Received: (at 43269) by debbugs.gnu.org; 9 Sep 2020 16:10:33 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Sep 09 12:10:33 2020
Received: from localhost ([127.0.0.1]:33046 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kG2g4-0006ba-VI
	for submit <at> debbugs.gnu.org; Wed, 09 Sep 2020 12:10:33 -0400
Received: from eggs.gnu.org ([209.51.188.92]:42510)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1kG2g3-0006bG-0f
 for 43269 <at> debbugs.gnu.org; Wed, 09 Sep 2020 12:10:32 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:37594)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1kG2fx-0005VZ-Iz; Wed, 09 Sep 2020 12:10:25 -0400
Received: from [176.228.60.248] (port=3874 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1kG2fk-0004YG-EP; Wed, 09 Sep 2020 12:10:18 -0400
Date: Wed, 09 Sep 2020 19:10:14 +0300
Message-Id: <83wo13j5i1.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Andrea Corallo <akrl@HIDDEN>
In-Reply-To: <xjfv9gnnfj5.fsf@HIDDEN> (message from Andrea Corallo on Wed, 09
 Sep 2020 15:19:58 +0000)
Subject: Re: bug#43269: 28.0.50;
 [feature/native-comp] provide a user feedback on Emacs being native
 compiled
References: <VI1PR06MB4526511188299A6D4136193596280@HIDDEN>
 <xjfblihsqvc.fsf@HIDDEN>
 <VI1PR06MB4526A5E0FC31580F4F8E0D1E96280@HIDDEN>
 <xjf7dt5sfzt.fsf@HIDDEN> <83wo15msrj.fsf@HIDDEN>
 <xjfy2llqzcf.fsf@HIDDEN> <83tuw9mmfe.fsf@HIDDEN>
 <xjftuw9qtjy.fsf@HIDDEN> <83sgbtm2d3.fsf@HIDDEN>
 <VI1PR06MB4526C8E3283388EBB1A78AA896290@HIDDEN>
 <062E9DA2-B039-4AAD-802B-7333971F5B73@HIDDEN>
 <xjfk0x4r8zp.fsf_-_@HIDDEN> <83ft7smjcd.fsf@HIDDEN>
 <E1kFr2g-00054w-QL@HIDDEN> <83h7s7kpfr.fsf@HIDDEN>
 <xjfv9gnnfj5.fsf@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 43269
Cc: rms@HIDDEN, arthur.miller@HIDDEN, 43269 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Andrea Corallo <akrl@HIDDEN>
> Cc: rms@HIDDEN,  arthur.miller@HIDDEN,  43269 <at> debbugs.gnu.org
> Date: Wed, 09 Sep 2020 15:19:58 +0000
> 
> the native compiler improved considerably the compilation speed with
> time.  I just took a measure at today's status native compiling only the
> dumped image (what is going to be default when native compiling).
> 
> On my dev machine vanilla Emacs uses 12m tot CPU time for a compilation
> from a fresh repo. The same native compiling takes 30m tot CPU time so
> IMO it is not terrible.

Is this with "make" or with "make -jN"? if the latter, what value of N
was used?

> For Guile I have no idea if it was simpler to implement or discuss.

I'm talking from the POV of a Guile user: it is simply seamless.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#43269; Package emacs. Full text available.

Message received at 43269 <at> debbugs.gnu.org:


Received: (at 43269) by debbugs.gnu.org; 9 Sep 2020 15:20:09 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Sep 09 11:20:09 2020
Received: from localhost ([127.0.0.1]:32954 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kG1tI-000383-U5
	for submit <at> debbugs.gnu.org; Wed, 09 Sep 2020 11:20:09 -0400
Received: from mab.sdf.org ([205.166.94.33]:33202 helo=ma.sdf.org)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <akrl@HIDDEN>) id 1kG1tD-00037j-4o
 for 43269 <at> debbugs.gnu.org; Wed, 09 Sep 2020 11:20:07 -0400
Received: from akrl by ma.sdf.org with local (Exim 4.92)
 (envelope-from <akrl@HIDDEN>)
 id 1kG1t8-0007mw-I9; Wed, 09 Sep 2020 15:19:58 +0000
From: Andrea Corallo <akrl@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#43269: 28.0.50;
 [feature/native-comp] provide a user feedback on Emacs being native
 compiled
In-Reply-To: <83h7s7kpfr.fsf@HIDDEN> (Eli Zaretskii's message of "Wed, 09 Sep
 2020 17:14:16 +0300")
References: <VI1PR06MB4526511188299A6D4136193596280@HIDDEN>
 <xjfblihsqvc.fsf@HIDDEN>
 <VI1PR06MB4526A5E0FC31580F4F8E0D1E96280@HIDDEN>
 <xjf7dt5sfzt.fsf@HIDDEN> <83wo15msrj.fsf@HIDDEN>
 <xjfy2llqzcf.fsf@HIDDEN> <83tuw9mmfe.fsf@HIDDEN>
 <xjftuw9qtjy.fsf@HIDDEN> <83sgbtm2d3.fsf@HIDDEN>
 <VI1PR06MB4526C8E3283388EBB1A78AA896290@HIDDEN>
 <062E9DA2-B039-4AAD-802B-7333971F5B73@HIDDEN>
 <xjfk0x4r8zp.fsf_-_@HIDDEN> <83ft7smjcd.fsf@HIDDEN>
 <E1kFr2g-00054w-QL@HIDDEN> <83h7s7kpfr.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.3 (gnu/linux)
Date: Wed, 09 Sep 2020 15:19:58 +0000
Message-ID: <xjfv9gnnfj5.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 43269
Cc: rms@HIDDEN, arthur.miller@HIDDEN, 43269 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Eli Zaretskii <eliz@HIDDEN> writes:

>> From: Richard Stallman <rms@HIDDEN>
>> Cc: akrl@HIDDEN, arthur.miller@HIDDEN, 43269 <at> debbugs.gnu.org
>> Date: Tue, 08 Sep 2020 23:45:06 -0400
>> 
>>   > As mentioned on the bug list, I'd prefer if user could defer native
>>   > compilation to some later time, so as to avoid making the Emacs build
>>   > take hours, especially on slow and low-end machines.
>> 
>> I wonder if I would ever see any benefit form the speedup of native
>> compilation.  I hardly ever notice waiting for Emacs to do computation.
>> But I would find a big slowdown in building to be a pain.
>> 
>> Maybe I would prefer to turn off native compilation, pure and simple.
>
> I share some of these feelings, FWIW.  Andrea's work is, of course,
> commendable and the results will be very welcome when they land on
> master, but I'm disappointed by the high price we need to pay for this
> feature, both in complexity (notice the long discussions of where and
> how to store the *.eln files, and how to handle recompilation and
> reloading), and in compilation times.  Having the single-core
> compilation times increase from 10-15 min to several hours is
> ... extreme.  (And before you say no one runs this on a single core: I
> sometimes do, when parallel builds get in the way of debugging some
> problem.)  And we will probably bump into additional issues down the
> road.
>
> (How come it's so easy and seamless in Guile?)
>

Hi Eli,

the native compiler improved considerably the compilation speed with
time.  I just took a measure at today's status native compiling only the
dumped image (what is going to be default when native compiling).

On my dev machine vanilla Emacs uses 12m tot CPU time for a compilation
from a fresh repo. The same native compiling takes 30m tot CPU time so
IMO it is not terrible.

Regarding the complexity I don't know, I guess it took some message to
decide how to have it working but now we are there.  It looks to me way
simpler then deciding Emacs defaults :)

For Guile I have no idea if it was simpler to implement or discuss.  I'm
not a Guile expert so I may be inaccurate but I think they can native
compile with a simple lightening based jitter.  This let me think they
can't save or reuse the compilation output, nor dump it given everything
happens in memory.

Regards

  Andrea




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#43269; Package emacs. Full text available.

Message received at 43269 <at> debbugs.gnu.org:


Received: (at 43269) by debbugs.gnu.org; 9 Sep 2020 14:23:24 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Sep 09 10:23:24 2020
Received: from localhost ([127.0.0.1]:32819 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kG10N-0001fn-Ob
	for submit <at> debbugs.gnu.org; Wed, 09 Sep 2020 10:23:23 -0400
Received: from eggs.gnu.org ([209.51.188.92]:39438)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1kG10M-0001fZ-IP
 for 43269 <at> debbugs.gnu.org; Wed, 09 Sep 2020 10:23:23 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:35318)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1kG10G-00046v-JO; Wed, 09 Sep 2020 10:23:16 -0400
Received: from [176.228.60.248] (port=1296 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1kG108-0007UH-Vc; Wed, 09 Sep 2020 10:23:09 -0400
Date: Wed, 09 Sep 2020 17:23:10 +0300
Message-Id: <83eenbkp0x.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Andrea Corallo <akrl@HIDDEN>
In-Reply-To: <xjfd02vpf3k.fsf@HIDDEN> (message from Andrea Corallo on Wed, 09
 Sep 2020 07:46:23 +0000)
Subject: Re: bug#43269: 28.0.50;
 [feature/native-comp] provide a user feedback on Emacs being native
 compiled
References: <VI1PR06MB4526511188299A6D4136193596280@HIDDEN>
 <xjfblihsqvc.fsf@HIDDEN>
 <VI1PR06MB4526A5E0FC31580F4F8E0D1E96280@HIDDEN>
 <xjf7dt5sfzt.fsf@HIDDEN> <83wo15msrj.fsf@HIDDEN>
 <xjfy2llqzcf.fsf@HIDDEN> <83tuw9mmfe.fsf@HIDDEN>
 <xjftuw9qtjy.fsf@HIDDEN> <83sgbtm2d3.fsf@HIDDEN>
 <VI1PR06MB4526C8E3283388EBB1A78AA896290@HIDDEN>
 <062E9DA2-B039-4AAD-802B-7333971F5B73@HIDDEN>
 <xjfk0x4r8zp.fsf_-_@HIDDEN> <83ft7smjcd.fsf@HIDDEN>
 <E1kFr2g-00054w-QL@HIDDEN> <xjfd02vpf3k.fsf@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 43269
Cc: rms@HIDDEN, arthur.miller@HIDDEN, 43269 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Andrea Corallo <akrl@HIDDEN>
> Cc: Eli Zaretskii <eliz@HIDDEN>, arthur.miller@HIDDEN,
>         43269 <at> debbugs.gnu.org
> Date: Wed, 09 Sep 2020 07:46:23 +0000
> 
> > I wonder if I would ever see any benefit form the speedup of native
> > compilation.  I hardly ever notice waiting for Emacs to do computation.
> > But I would find a big slowdown in building to be a pain.
> 
> Hi Richard,
> 
> It is certainly very workflow dependent.  I think too many don't need
> it, for others is the opposite.

I very much doubt that anyone will give up this feature, unless they
have some serious problem with using it (such as that a single Emacs
build needs to run for hours).

> > Maybe I would prefer to turn off native compilation, pure and simple.
> 
> ATM even in the feature branch this is off by default, must be activated
> with a configure switch otherwise just vanilla Emacs is built.

When this lands on master, we almost certainly will make the configure
script probe the system, and turn this feature on if the prerequisites
are detected.  Like we do with most other important features.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#43269; Package emacs. Full text available.

Message received at 43269 <at> debbugs.gnu.org:


Received: (at 43269) by debbugs.gnu.org; 9 Sep 2020 14:14:34 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Sep 09 10:14:34 2020
Received: from localhost ([127.0.0.1]:60975 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kG0rq-0007fp-05
	for submit <at> debbugs.gnu.org; Wed, 09 Sep 2020 10:14:34 -0400
Received: from eggs.gnu.org ([209.51.188.92]:35942)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1kG0rm-0007fa-PS
 for 43269 <at> debbugs.gnu.org; Wed, 09 Sep 2020 10:14:32 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:35034)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1kG0re-0002eZ-Tf; Wed, 09 Sep 2020 10:14:22 -0400
Received: from [176.228.60.248] (port=4727 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1kG0rX-0006VN-3S; Wed, 09 Sep 2020 10:14:15 -0400
Date: Wed, 09 Sep 2020 17:14:16 +0300
Message-Id: <83h7s7kpfr.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: rms@HIDDEN
In-Reply-To: <E1kFr2g-00054w-QL@HIDDEN> (message from Richard
 Stallman on Tue, 08 Sep 2020 23:45:06 -0400)
Subject: Re: bug#43269: 28.0.50;
 [feature/native-comp] provide a user feedback on Emacs being native
 compiled
References: <VI1PR06MB4526511188299A6D4136193596280@HIDDEN>
 <xjfblihsqvc.fsf@HIDDEN>
 <VI1PR06MB4526A5E0FC31580F4F8E0D1E96280@HIDDEN>
 <xjf7dt5sfzt.fsf@HIDDEN> <83wo15msrj.fsf@HIDDEN>
 <xjfy2llqzcf.fsf@HIDDEN> <83tuw9mmfe.fsf@HIDDEN>
 <xjftuw9qtjy.fsf@HIDDEN> <83sgbtm2d3.fsf@HIDDEN>
 <VI1PR06MB4526C8E3283388EBB1A78AA896290@HIDDEN>
 <062E9DA2-B039-4AAD-802B-7333971F5B73@HIDDEN> <xjfk0x4r8zp.fsf_-_@HIDDEN>
 <83ft7smjcd.fsf@HIDDEN> <E1kFr2g-00054w-QL@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 43269
Cc: 43269 <at> debbugs.gnu.org, arthur.miller@HIDDEN, akrl@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Richard Stallman <rms@HIDDEN>
> Cc: akrl@HIDDEN, arthur.miller@HIDDEN, 43269 <at> debbugs.gnu.org
> Date: Tue, 08 Sep 2020 23:45:06 -0400
> 
>   > As mentioned on the bug list, I'd prefer if user could defer native
>   > compilation to some later time, so as to avoid making the Emacs build
>   > take hours, especially on slow and low-end machines.
> 
> I wonder if I would ever see any benefit form the speedup of native
> compilation.  I hardly ever notice waiting for Emacs to do computation.
> But I would find a big slowdown in building to be a pain.
> 
> Maybe I would prefer to turn off native compilation, pure and simple.

I share some of these feelings, FWIW.  Andrea's work is, of course,
commendable and the results will be very welcome when they land on
master, but I'm disappointed by the high price we need to pay for this
feature, both in complexity (notice the long discussions of where and
how to store the *.eln files, and how to handle recompilation and
reloading), and in compilation times.  Having the single-core
compilation times increase from 10-15 min to several hours is
... extreme.  (And before you say no one runs this on a single core: I
sometimes do, when parallel builds get in the way of debugging some
problem.)  And we will probably bump into additional issues down the
road.

(How come it's so easy and seamless in Guile?)




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#43269; Package emacs. Full text available.

Message received at 43269 <at> debbugs.gnu.org:


Received: (at 43269) by debbugs.gnu.org; 9 Sep 2020 07:46:26 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Sep 09 03:46:26 2020
Received: from localhost ([127.0.0.1]:57061 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kFuoE-0002GR-1m
	for submit <at> debbugs.gnu.org; Wed, 09 Sep 2020 03:46:26 -0400
Received: from mx.sdf.org ([205.166.94.24]:49228)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <akrl@HIDDEN>) id 1kFuoC-0002GJ-5M
 for 43269 <at> debbugs.gnu.org; Wed, 09 Sep 2020 03:46:24 -0400
Received: from mab (ma.sdf.org [205.166.94.33])
 by mx.sdf.org (8.15.2/8.14.5) with ESMTP id 0897kNdc019121;
 Wed, 9 Sep 2020 07:46:23 GMT
From: Andrea Corallo <akrl@HIDDEN>
To: Richard Stallman <rms@HIDDEN>
Subject: Re: bug#43269: 28.0.50;
 [feature/native-comp] provide a user feedback on Emacs being native
 compiled
References: <VI1PR06MB4526511188299A6D4136193596280@HIDDEN>
 <xjfblihsqvc.fsf@HIDDEN>
 <VI1PR06MB4526A5E0FC31580F4F8E0D1E96280@HIDDEN>
 <xjf7dt5sfzt.fsf@HIDDEN> <83wo15msrj.fsf@HIDDEN>
 <xjfy2llqzcf.fsf@HIDDEN> <83tuw9mmfe.fsf@HIDDEN>
 <xjftuw9qtjy.fsf@HIDDEN> <83sgbtm2d3.fsf@HIDDEN>
 <VI1PR06MB4526C8E3283388EBB1A78AA896290@HIDDEN>
 <062E9DA2-B039-4AAD-802B-7333971F5B73@HIDDEN>
 <xjfk0x4r8zp.fsf_-_@HIDDEN> <83ft7smjcd.fsf@HIDDEN>
 <E1kFr2g-00054w-QL@HIDDEN>
Date: Wed, 09 Sep 2020 07:46:23 +0000
In-Reply-To: <E1kFr2g-00054w-QL@HIDDEN> (Richard Stallman's message
 of "Tue, 08 Sep 2020 23:45:06 -0400")
Message-ID: <xjfd02vpf3k.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.3 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 43269
Cc: Eli Zaretskii <eliz@HIDDEN>, arthur.miller@HIDDEN, 43269 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Richard Stallman <rms@HIDDEN> writes:

> [[[ To any NSA and FBI agents reading my email: please consider    ]]]
> [[[ whether defending the US Constitution against all enemies,     ]]]
> [[[ foreign or domestic, requires you to follow Snowden's example. ]]]
>
>   > As mentioned on the bug list, I'd prefer if user could defer native
>   > compilation to some later time, so as to avoid making the Emacs build
>   > take hours, especially on slow and low-end machines.
>
> I wonder if I would ever see any benefit form the speedup of native
> compilation.  I hardly ever notice waiting for Emacs to do computation.
> But I would find a big slowdown in building to be a pain.

Hi Richard,

It is certainly very workflow dependent.  I think too many don't need
it, for others is the opposite.

> Maybe I would prefer to turn off native compilation, pure and simple.

ATM even in the feature branch this is off by default, must be activated
with a configure switch otherwise just vanilla Emacs is built.

Regards

  Andrea





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#43269; Package emacs. Full text available.

Message received at 43269 <at> debbugs.gnu.org:


Received: (at 43269) by debbugs.gnu.org; 9 Sep 2020 03:45:17 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Sep 08 23:45:17 2020
Received: from localhost ([127.0.0.1]:56881 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kFr2r-0004i4-It
	for submit <at> debbugs.gnu.org; Tue, 08 Sep 2020 23:45:17 -0400
Received: from eggs.gnu.org ([209.51.188.92]:59102)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rms@HIDDEN>) id 1kFr2p-0004hs-1O
 for 43269 <at> debbugs.gnu.org; Tue, 08 Sep 2020 23:45:16 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:54428)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <rms@HIDDEN>)
 id 1kFr2i-0004tN-P5; Tue, 08 Sep 2020 23:45:08 -0400
Received: from rms by fencepost.gnu.org with local (Exim 4.82)
 (envelope-from <rms@HIDDEN>)
 id 1kFr2g-00054w-QL; Tue, 08 Sep 2020 23:45:07 -0400
Content-Type: text/plain; charset=Utf-8
From: Richard Stallman <rms@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
In-Reply-To: <83ft7smjcd.fsf@HIDDEN> (message from Eli Zaretskii on Tue, 08
 Sep 2020 17:30:42 +0300)
Subject: Re: bug#43269: 28.0.50;
 [feature/native-comp] provide a user feedback on Emacs being native
 compiled
References: <VI1PR06MB4526511188299A6D4136193596280@HIDDEN>
 <xjfblihsqvc.fsf@HIDDEN>
 <VI1PR06MB4526A5E0FC31580F4F8E0D1E96280@HIDDEN>
 <xjf7dt5sfzt.fsf@HIDDEN> <83wo15msrj.fsf@HIDDEN>
 <xjfy2llqzcf.fsf@HIDDEN> <83tuw9mmfe.fsf@HIDDEN>
 <xjftuw9qtjy.fsf@HIDDEN> <83sgbtm2d3.fsf@HIDDEN>
 <VI1PR06MB4526C8E3283388EBB1A78AA896290@HIDDEN>
 <062E9DA2-B039-4AAD-802B-7333971F5B73@HIDDEN> <xjfk0x4r8zp.fsf_-_@HIDDEN>
 <83ft7smjcd.fsf@HIDDEN>
Message-Id: <E1kFr2g-00054w-QL@HIDDEN>
Date: Tue, 08 Sep 2020 23:45:06 -0400
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 43269
Cc: 43269 <at> debbugs.gnu.org, arthur.miller@HIDDEN, akrl@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Reply-To: rms@HIDDEN
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

[[[ To any NSA and FBI agents reading my email: please consider    ]]]
[[[ whether defending the US Constitution against all enemies,     ]]]
[[[ foreign or domestic, requires you to follow Snowden's example. ]]]

  > As mentioned on the bug list, I'd prefer if user could defer native
  > compilation to some later time, so as to avoid making the Emacs build
  > take hours, especially on slow and low-end machines.

I wonder if I would ever see any benefit form the speedup of native
compilation.  I hardly ever notice waiting for Emacs to do computation.
But I would find a big slowdown in building to be a pain.

Maybe I would prefer to turn off native compilation, pure and simple.

-- 
Dr Richard Stallman
Chief GNUisance of the GNU Project (https://gnu.org)
Founder, Free Software Foundation (https://fsf.org)
Internet Hall-of-Famer (https://internethalloffame.org)






Information forwarded to bug-gnu-emacs@HIDDEN:
bug#43269; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 8 Sep 2020 14:30:47 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Sep 08 10:30:47 2020
Received: from localhost ([127.0.0.1]:55776 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kFedy-000238-OP
	for submit <at> debbugs.gnu.org; Tue, 08 Sep 2020 10:30:46 -0400
Received: from lists.gnu.org ([209.51.188.17]:40692)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1kFedx-000231-0P
 for submit <at> debbugs.gnu.org; Tue, 08 Sep 2020 10:30:46 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:39610)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>) id 1kFedw-000570-IE
 for bug-gnu-emacs@HIDDEN; Tue, 08 Sep 2020 10:30:44 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:40738)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <eliz@HIDDEN>)
 id 1kFedw-0007hV-4e; Tue, 08 Sep 2020 10:30:44 -0400
Received: from [176.228.60.248] (port=4942 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <eliz@HIDDEN>)
 id 1kFedu-0006DI-Jp; Tue, 08 Sep 2020 10:30:43 -0400
Date: Tue, 08 Sep 2020 17:30:42 +0300
Message-Id: <83ft7smjcd.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Andrea Corallo <akrl@HIDDEN>
In-Reply-To: <xjfk0x4r8zp.fsf_-_@HIDDEN> (message from Andrea Corallo on Tue, 
 08 Sep 2020 08:03:06 +0000)
Subject: Re: 28.0.50;
 [feature/native-comp] provide a user feedback on Emacs being native
 compiled
References: <VI1PR06MB4526511188299A6D4136193596280@HIDDEN>
 <xjfblihsqvc.fsf@HIDDEN>
 <VI1PR06MB4526A5E0FC31580F4F8E0D1E96280@HIDDEN>
 <xjf7dt5sfzt.fsf@HIDDEN> <83wo15msrj.fsf@HIDDEN>
 <xjfy2llqzcf.fsf@HIDDEN> <83tuw9mmfe.fsf@HIDDEN>
 <xjftuw9qtjy.fsf@HIDDEN> <83sgbtm2d3.fsf@HIDDEN>
 <VI1PR06MB4526C8E3283388EBB1A78AA896290@HIDDEN>
 <062E9DA2-B039-4AAD-802B-7333971F5B73@HIDDEN> <xjfk0x4r8zp.fsf_-_@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: submit
Cc: bug-gnu-emacs@HIDDEN, arthur.miller@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Andrea Corallo <akrl@HIDDEN>
> Cc: Arthur Miller <arthur.miller@HIDDEN>, bug-gnu-emacs@HIDDEN
> Date: Tue, 08 Sep 2020 08:03:06 +0000
> 
> As suggested opening a new issue to keep on discussing what came-up from
> 
> https://lists.gnu.org/archive/html/bug-gnu-emacs/2020-09/msg00637.html
> 
> Eli Zaretskii <eliz@HIDDEN> writes:
> 
> [...]
> 
> > That's a different issue.  The original question was about the splash
> > screen and specifically about emacs-version.  I see no reason
> > whatsoever to show information about the native compilation there, as
> > it's a minor feature that moreover has no effect at all until some
> > Lisp files are compiled with it.
> 
> For completeness: ATM all code that was byte compiled gets native
> compiled automatically.  For this reason it *has* an effect since Emacs
> starts.

As mentioned on the bug list, I'd prefer if user could defer native
compilation to some later time, so as to avoid making the Emacs build
take hours, especially on slow and low-end machines.

> If it's more or less important than say using Cairo that's very much a
> POV I think, as I believe is classifying it as "minor feature" (reason
> why I'd avoid).

Maybe Cairo is also not important enough, and should be removed.  GTK
(or the toolkit in general) _is_ important, as it has radical effect
on the GUI appearance.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#43269; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 8 Sep 2020 08:03:17 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Sep 08 04:03:17 2020
Received: from localhost ([127.0.0.1]:51781 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1kFYaz-0003ev-1a
	for submit <at> debbugs.gnu.org; Tue, 08 Sep 2020 04:03:17 -0400
Received: from lists.gnu.org ([209.51.188.17]:56766)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <akrl@HIDDEN>) id 1kFYax-0003eo-Ab
 for submit <at> debbugs.gnu.org; Tue, 08 Sep 2020 04:03:15 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:55952)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <akrl@HIDDEN>) id 1kFYax-0006Uq-4a
 for bug-gnu-emacs@HIDDEN; Tue, 08 Sep 2020 04:03:15 -0400
Received: from mx.sdf.org ([205.166.94.24]:62534)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <akrl@HIDDEN>)
 id 1kFYau-0007f0-Rp; Tue, 08 Sep 2020 04:03:14 -0400
Received: from mab (ma.sdf.org [205.166.94.33])
 by mx.sdf.org (8.15.2/8.14.5) with ESMTP id 088836wQ024259;
 Tue, 8 Sep 2020 08:03:06 GMT
From: Andrea Corallo <akrl@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: 28.0.50;
 [feature/native-comp] provide a user feedback on Emacs being native
 compiled
References: <VI1PR06MB4526511188299A6D4136193596280@HIDDEN>
 <xjfblihsqvc.fsf@HIDDEN>
 <VI1PR06MB4526A5E0FC31580F4F8E0D1E96280@HIDDEN>
 <xjf7dt5sfzt.fsf@HIDDEN> <83wo15msrj.fsf@HIDDEN>
 <xjfy2llqzcf.fsf@HIDDEN> <83tuw9mmfe.fsf@HIDDEN>
 <xjftuw9qtjy.fsf@HIDDEN> <83sgbtm2d3.fsf@HIDDEN>
 <VI1PR06MB4526C8E3283388EBB1A78AA896290@HIDDEN>
 <062E9DA2-B039-4AAD-802B-7333971F5B73@HIDDEN>
Date: Tue, 08 Sep 2020 08:03:06 +0000
In-Reply-To: <062E9DA2-B039-4AAD-802B-7333971F5B73@HIDDEN> (Eli Zaretskii's
 message of "Tue, 08 Sep 2020 08:04:03 +0300")
Message-ID: <xjfk0x4r8zp.fsf_-_@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/26.3 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
Received-SPF: pass client-ip=205.166.94.24; envelope-from=akrl@HIDDEN;
 helo=mx.sdf.org
X-detected-operating-system: by eggs.gnu.org: First seen = 2020/09/08 04:03:07
X-ACL-Warn: Detected OS   = ???
X-Spam_score_int: -18
X-Spam_score: -1.9
X-Spam_bar: -
X-Spam_report: (-1.9 / 5.0 requ) BAYES_00=-1.9, SPF_HELO_PASS=-0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.4 (-)
X-Debbugs-Envelope-To: submit
Cc: bug-gnu-emacs@HIDDEN, Arthur Miller <arthur.miller@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.4 (--)

As suggested opening a new issue to keep on discussing what came-up from

https://lists.gnu.org/archive/html/bug-gnu-emacs/2020-09/msg00637.html

Eli Zaretskii <eliz@HIDDEN> writes:

[...]

> That's a different issue.  The original question was about the splash
> screen and specifically about emacs-version.  I see no reason
> whatsoever to show information about the native compilation there, as
> it's a minor feature that moreover has no effect at all until some
> Lisp files are compiled with it.

For completeness: ATM all code that was byte compiled gets native
compiled automatically.  For this reason it *has* an effect since Emacs
starts.

It is true that from a user perspective everything is going on
transparently but the side effect of the native compilation is the exact
reason why people are using it (read depending on the workload it can be
noticeably faster).

If it's more or less important than say using Cairo that's very much a
POV I think, as I believe is classifying it as "minor feature" (reason
why I'd avoid).

Thanks

  Andrea




Acknowledgement sent to Andrea Corallo <akrl@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#43269; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sat, 17 Oct 2020 11:30:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.